View Issue Details

IDProjectCategoryView StatusLast Update
0001949XdebugStep Debuggingpublic2021-09-05 16:15
Reportergbell Assigned Toderick  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPHP cliOSUbuntuOS Version20.04
Product Version2.9.2 
Target Version3.1devFixed in Version3.1.0beta1 
Summary0001949: private properties for internal classes can't be fetched for debugging
DescriptionBut Xdebug won't show SplDoublyLinkedLists. Tried PHPStorm and Vdebug in Vim.

[3704398] <- property_get -i 14 -n "$stack->*SplDoublyLinkedList*dllist" -d 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="14" status="break" reason="ok"><error code="300"><message><![CDATA[can
not get property]]></message></error></response>

Steps To Reproduce1. Run the attached xdebug_test.php, setting a breakpoint sometime after $stack->push
2. Attempt to view the contents of $stack
3. See "can not get property" response from Xdebug
Additional Information$ php -v
PHP 7.4.3 (cli) (built: Oct 6 2020 15:47:56) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.3, Copyright (c), by Zend Technologies
    with Xdebug v2.9.2, Copyright (c) 2002-2020, by Derick Rethans
TagsNo tags attached.
Operating SystemUbuntu 20.04
PHP Version7.4.0-7.4.4

Activities

gbell

2021-02-18 23:54

reporter  

xdebug.log (115,783 bytes)   
[3647146] Log opened at 2021-02-18 23:31:43
[3647146] I: Connecting to configured address/port: localhost:9000.
[3647146] I: Connected to client. :-)
[3647146] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" language="PHP" xdebug:language_version="7.4.3" protocol_version="1.0" appid="3647146" idekey="gbell2"><engine version="2.9.2"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2020 by Derick Rethans]]></copyright></init>

[3647146] <- eval -i 1 -- KHN0cmluZykoaW5pX2dldCgneGRlYnVnLmNvdmVyYWdlX2VuYWJsZScpLic7Jy5pbmlfZ2V0KCd4ZGVidWcucHJvZmlsZXJfZW5hYmxlJykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfYXV0b3N0YXJ0JykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfY29ubmVjdF9iYWNrJykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfbW9kZScpKQ==
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="1"><property type="string" size="11" encoding="base64"><![CDATA[MTswOzE7MDtyZXE=]]></property></response>

[3647146] <- feature_set -i 2 -n show_hidden -v 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="show_hidden" success="1"></response>

[3647146] <- feature_set -i 3 -n max_depth -v 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_depth" success="1"></response>

[3647146] <- feature_set -i 4 -n max_children -v 100
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="max_children" success="1"></response>

[3647146] <- feature_set -i 5 -n extended_properties -v 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" feature="extended_properties" success="1"></response>

[3647146] <- feature_set -i 6 -n notify_ok -v 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="6" feature="notify_ok" success="1"></response>

[3647146] <- feature_set -i 7 -n resolved_breakpoints -v 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="7" feature="resolved_breakpoints" success="1"></response>

[3647146] <- stdout -i 8 -c 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stdout" transaction_id="8" success="1"></response>

[3647146] <- status -i 9
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="9" status="starting" reason="ok"></response>

[3647146] <- step_into -i 10
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="10" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="3"></xdebug:message></response>

[3647146] <- eval -i 11 -- aXNzZXQoJF9TRVJWRVJbJ1BIUF9JREVfQ09ORklHJ10p
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="11"><property type="bool"><![CDATA[0]]></property></response>

[3647146] <- eval -i 12 -- aXNzZXQoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="12"><property type="bool"><![CDATA[0]]></property></response>

[3647146] <- eval -i 13 -- aXNzZXQoJF9TRVJWRVJbJ1NTSF9DT05ORUNUSU9OJ10p
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="13"><property type="bool"><![CDATA[0]]></property></response>

[3647146] <- eval -i 14 -- aXNzZXQoJF9TRVJWRVJbJ1NFUlZFUl9BRERSJ10p
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="14"><property type="bool"><![CDATA[0]]></property></response>

[3647146] <- breakpoint_set -i 15 -t line -f file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php -n 6
[3647146] -> <notify xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" name="breakpoint_resolved"><breakpoint type="line" resolved="resolved" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="6" state="enabled" hit_count="0" hit_value="0" id="1082020001"></breakpoint></notify>

[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="15" id="1082020001" resolved="resolved"></response>

[3647146] <- stack_get -i 16
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="16"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="3"></stack></response>

[3647146] <- stack_get -i 17
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="17"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="3"></stack></response>

[3647146] <- context_names -i 18
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="18"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[3647146] <- context_get -i 19 -d 0 -c 0
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="0"><property name="$stack" fullname="$stack" type="uninitialized"></property></response>

[3647146] <- context_get -i 20 -d 0 -c 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="110" page="0" pagesize="100"><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="COLORTERM" fullname="$_SERVER[&quot;COLORTERM&quot;]" type="string" size="9" encoding="base64"><![CDATA[dHJ1ZWNvbG9y]]></property><property name="_fzf_orig_completion_tee" fullname="$_SERVER[&quot;_fzf_orig_completion_tee&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVlICNfbG9uZ29wdA==]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="29" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWF3ZXNvbWU6L2V0Yy94ZGc=]]></property><property name="_fzf_orig_completion_rm" fullname="$_SERVER[&quot;_fzf_orig_completion_rm&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm0gI19sb25nb3B0]]></property><property name="LESS" fullname="$_SERVER[&quot;LESS&quot;]" type="string" size="14" encoding="base64"><![CDATA[LWcgLUkgLUYgLVggLVI=]]></property><property name="_fzf_orig_completion_rmdir" fullname="$_SERVER[&quot;_fzf_orig_completion_rmdir&quot;]" type="string" size="30" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm1kaXIgI19sb25nb3B0]]></property><property name="HISTCONTROL" fullname="$_SERVER[&quot;HISTCONTROL&quot;]" type="string" size="22" encoding="base64"><![CDATA[aWdub3JlZHVwczppZ25vcmVzcGFjZQ==]]></property><property name="ACK_PAGER" fullname="$_SERVER[&quot;ACK_PAGER&quot;]" type="string" size="4" encoding="base64"><![CDATA[bGVzcw==]]></property><property name="HISTSIZE" fullname="$_SERVER[&quot;HISTSIZE&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTAwMA==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fQVU6ZW4=]]></property><property name="_fzf_orig_completion_uniq" fullname="$_SERVER[&quot;_fzf_orig_completion_uniq&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdW5pcSAjX2xvbmdvcHQ=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="39" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLm1hbmRhdG9yeS5wYXRo]]></property><property type="string" size="1343"><name encoding="base64"><![CDATA[VEVSTUNBUA==]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlRFUk1DQVAiXQ==]]></fullname><value encoding="base64"><![CDATA[U0N8c2NyZWVuLTI1NmNvbG9yfFZUIDEwMC9BTlNJIFgzLjY0IHZpcnR1YWwgdGVybWluYWw6XAoJOkRPPVxFWyVkQjpMRT1cRVslZEQ6Ukk9XEVbJWRDOlVQPVxFWyVkQTpiczpidD1cRVtaOlwKCTpjZD1cRVtKOmNlPVxFW0s6Y2w9XEVbSFxFW0o6Y209XEVbJWklZDslZEg6Y3Q9XEVbM2c6XAoJOmRvPV5KOm5kPVxFW0M6cHQ6cmM9XEU4OnJzPVxFYzpzYz1cRTc6c3Q9XEVIOnVwPVxFTTpcCgk6bGU9Xkg6Ymw9Xkc6Y3I9Xk06aXQjODpobz1cRVtIOm53PVxFRTp0YT1eSTppcz1cRSkwOlwKCTpsaSM1NzpjbyMyMTI6YW06eG46eHY6TFA6c3I9XEVNOmFsPVxFW0w6QUw9XEVbJWRMOlwKCTpjcz1cRVslaSVkOyVkcjpkbD1cRVtNOkRMPVxFWyVkTTpkYz1cRVtQOkRDPVxFWyVkUDpcCgk6aW09XEVbNGg6ZWk9XEVbNGw6bWk6SUM9XEVbJWRAOmtzPVxFWz8xaFxFPTpcCgk6a2U9XEVbPzFsXEU+OnZpPVxFWz8yNWw6dmU9XEVbMzRoXEVbPzI1aDp2cz1cRVszNGw6XAoJOnRpPVxFWz8xMDQ5aDp0ZT1cRVs/MTA0OWw6dXM9XEVbNG06dWU9XEVbMjRtOnNvPVxFWzNtOlwKCTpzZT1cRVsyM206bWI9XEVbNW06bWQ9XEVbMW06bWg9XEVbMm06bXI9XEVbN206XAoJOm1lPVxFW206bXM6XAoJOkNvIzg6cGEjNjQ6QUY9XEVbMyVkbTpBQj1cRVs0JWRtOm9wPVxFWzM5OzQ5bTpBWDpcCgk6dmI9XEVnOkcwOmFzPVxFKDA6YWU9XEUoQjpcCgk6YWM9XDE0MFwxNDBhYWZmZ2dqamtrbGxtbW5ub29wcHFxcnJzc3R0dXV2dnd3eHh5eXp6e3t8fH19fn4uLi0tKyssLGhoSUkwMDpcCgk6cG89XEVbNWk6cGY9XEVbNGk6S209XEVbTTprMD1cRVsxMH46azE9XEVPUDprMj1cRU9ROlwKCTprMz1cRU9SOms0PVxFT1M6azU9XEVbMTV+Oms2PVxFWzE3fjprNz1cRVsxOH46XAoJOms4PVxFWzE5fjprOT1cRVsyMH46azs9XEVbMjF+OkYxPVxFWzIzfjpGMj1cRVsyNH46XAoJOkYzPVxFWzE7MlA6RjQ9XEVbMTsyUTpGNT1cRVsxOzJSOkY2PVxFWzE7MlM6XAoJOkY3PVxFWzE1OzJ+OkY4PVxFWzE3OzJ+OkY5PVxFWzE4OzJ+OkZBPQ==]]></value></property><property name="_fzf_orig_completion_ftp" fullname="$_SERVER[&quot;_fzf_orig_completion_ftp&quot;]" type="string" size="32" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZnRwICNfa25vd25faG9zdHM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="32" encoding="base64"><![CDATA[L3RtcC9zc2gtbmI3SGZOcXF4NkhFL2FnZW50LjM1NDQ=]]></property><property name="WINDOW" fullname="$_SERVER[&quot;WINDOW&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="_fzf_orig_completion_tail" fullname="$_SERVER[&quot;_fzf_orig_completion_tail&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGFpbCAjX2xvbmdvcHQ=]]></property><property name="ENSCRIPT" fullname="$_SERVER[&quot;ENSCRIPT&quot;]" type="string" size="13" encoding="base64"><![CDATA[LWQgSEwtTDIzNzVEVw==]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&quot;SSH_AGENT_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MzU0NQ==]]></property><property name="XDEBUG_SESSION" fullname="$_SERVER[&quot;XDEBUG_SESSION&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="GPG_TTY" fullname="$_SERVER[&quot;GPG_TTY&quot;]" type="string" size="11" encoding="base64"><![CDATA[L2Rldi9wdHMvMjA=]]></property><property name="EDITOR" fullname="$_SERVER[&quot;EDITOR&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="_fzf_orig_completion_mv" fullname="$_SERVER[&quot;_fzf_orig_completion_mv&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbXYgI19sb25nb3B0]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="38" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyL1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="36" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ2RtL1hhdXRob3JpdHk=]]></property><property name="TZ" fullname="$_SERVER[&quot;TZ&quot;]" type="string" size="16" encoding="base64"><![CDATA[QXVzdHJhbGlhL1N5ZG5leQ==]]></property><property name="FZF_DEFAULT_COMMAND" fullname="$_SERVER[&quot;FZF_DEFAULT_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="session_name" fullname="$_SERVER[&quot;session_name&quot;]" type="string" size="12" encoding="base64"><![CDATA[IHByb2R1Y3QtYXBw]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="WINDOWPATH" fullname="$_SERVER[&quot;WINDOWPATH&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="s" fullname="$_SERVER[&quot;s&quot;]" type="string" size="38" encoding="base64"><![CDATA[JXs9cn0gJS13JXstcn0lbiAldCV7K3J9JSt3JT0gJXsrYn0lUyA=]]></property><property name="_fzf_orig_completion_diff" fullname="$_SERVER[&quot;_fzf_orig_completion_diff&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZGlmZiAjX2xvbmdvcHQ=]]></property><property name="WINEARCH" fullname="$_SERVER[&quot;WINEARCH&quot;]" type="string" size="5" encoding="base64"><![CDATA[d2luMzI=]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="AUTOJUMP_ERROR_PATH" fullname="$_SERVER[&quot;AUTOJUMP_ERROR_PATH&quot;]" type="string" size="45" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5sb2NhbC9zaGFyZS9hdXRvanVtcC9lcnJvcnMubG9n]]></property><property name="SSH_ASKPASS" fullname="$_SERVER[&quot;SSH_ASKPASS&quot;]" type="string" size="20" encoding="base64"><![CDATA[L3Vzci9iaW4vc3NoLWFza3Bhc3M=]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fQVUuVVRGLTg=]]></property><property name="_fzf_orig_completion_awk" fullname="$_SERVER[&quot;_fzf_orig_completion_awk&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgYXdrICNfbG9uZ29wdA==]]></property><property name="WINEPREFIX" fullname="$_SERVER[&quot;WINEPREFIX&quot;]" type="string" size="21" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy53aW5lLTMy]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="2750" encoding="base64"><![CDATA[YmQ9NDg7NTsxMDg7Mzg7NTsyMjM7MDE6Y2E9MDE7Mzg7NTs5NTpjZD00ODs1OzEwODszODs1OzIyMzswMTpkaT0wMTszODs1OzIyMzpkbz00ODs1OzIzNDszODs1OzE4MDswMTpleD0wMTszODs1OzEwODpwaT00ODs1OzIzNDszODs1OzE4MDswMTpsbj0zODs1OzIyMzpvcj00ODs1OzIzNDszODs1OzE4Nzpvdz00ODs1OzIzNDszODs1OzE4MDpzdT00ODs1OzIzNDszODs1OzY2OnNnPTQ4OzU7MjM0OzM4OzU7NjY6c289NDg7NTsyMzQ7Mzg7NTsxODA7MDE6c3Q9NDg7NTsxODA7Mzg7NTsyMzQ6dHc9NDg7NTsxODA7Mzg7NTsyMzQ6Ki43ej0wMTszODs1OzE3NDoqLmFyaj0wMTszODs1OzE3NDoqLmJ6Mj0wMTszODs1OzE3NDoqLmJ6PTAxOzM4OzU7MTc0OiouZ3o9MDE7Mzg7NTsxNzQ6Ki5yYXI9MDE7Mzg7NTsxNzQ6Ki50YXI9MDE7Mzg7NTsxNzQ6Ki50Z3o9MDE7Mzg7NTsxNzQ6Ki50Yno9MDE7Mzg7NTsxNzQ6Ki50YnoyPTAxOzM4OzU7MTc0OioueHo9MDE7Mzg7NTsxNzQ6Ki56aXA9MDE7Mzg7NTsxNzQ6Ki5hcGs9MDE7Mzg7NTs5NToqLmRlYj0wMTszODs1OzE3NDoqLmphZD0wMTszODs1Ozk1OiouamFyPTAxOzM4OzU7OTU6Ki5ycG09MDE7Mzg7NTsxNzQ6Ki5ibXA9MDA7Mzg7NTsxMDk6Ki5naWY9MDA7Mzg7NTsxMDk6Ki5pY289MDA7Mzg7NTsxMDk6Ki5qcGc9MDA7Mzg7NTsxMDk6Ki5KUEc9MDA7Mzg7NTsxMDk6Ki5qcGVnPTAwOzM4OzU7MTA5OioucG5nPTAwOzM4OzU7MTA5Oiouc3ZnPTAwOzM4OzU7MTA5OioueGJtPTAwOzM4OzU7MTA5OioueHBtPTAwOzM4OzU7MTA5OiouYWFjPTAwOzM4OzU7MTE2OiouYXU9MDA7Mzg7NTsxMTY6Ki5mbGFjPTAwOzM4OzU7MTE2OioubWlkPTAwOzM4OzU7MTE2OioubWlkaT0wMDszODs1OzExNjoqLm1rYT0wMDszODs1OzExNjoqLm1wMz0wMDszODs1OzExNjoqLm1wYz0wMDszODs1OzExNjoqLm9nZz0wMDszODs1OzExNjoqLnJhPTAwOzM4OzU7MTE2Oioud2F2PTAwOzM4OzU7MTE2OioubW92PTAwOzM4OzU7NjY6Ki5tcGc9MDA7Mzg7NTs2NjoqLm1wZWc9MDA7Mw==]]></property><property name="_JAVA_AWT_WM_NONREPARENTING" fullname="$_SERVER[&quot;_JAVA_AWT_WM_NONREPARENTING&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="_fzf_orig_completion_telnet" fullname="$_SERVER[&quot;_fzf_orig_completion_telnet&quot;]" type="string" size="35" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVsbmV0ICNfa25vd25faG9zdHM=]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NjAwMw==]]></property><property name="_fzf_orig_completion_grep" fullname="$_SERVER[&quot;_fzf_orig_completion_grep&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZ3JlcCAjX2xvbmdvcHQ=]]></property><property type="string" size="460"><name encoding="base64"><![CDATA[UFJPTVBUX0NPTU1BTkQ=]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlBST01QVF9DT01NQU5EIl0=]]></fullname><value encoding="base64"><![CDATA[RElSPSQocHdkfHNlZCAtZSAicyEvZGF0YS8hLyEifHNlZCAtZSAicyEkSE9NRSF+ISIpO0lGUz0iLyIgcmVhZCAtcmEgUGF0aEVsZW1lbnRzIDw8PCAiJHtESVJ9IjtMRU49JHsjUGF0aEVsZW1lbnRzfTtBbHREaXI9Ii8ke1BhdGhFbGVtZW50c1sxXX0vJHtQYXRoRWxlbWVudHNbMl19L+KApi8ke1BhdGhFbGVtZW50c1tMRU4tMl19LyR7UGF0aEVsZW1lbnRzW0xFTi0xXX0iO0FsdDJEaXI9IiR7UGF0aEVsZW1lbnRzW0xFTi0yXX0vJHtQYXRoRWxlbWVudHNbTEVOLTFdfSI7aWYgW1sgJHsjRElSfSAtbHQgMzAgfHwgJHsjQWx0RGlyfSA+ICR7I0RJUn0gXV07IHRoZW4gICBBbHREaXI9JERJUjsgICBBbHQyRGlyPSRESVI7IGZpO3B3ZD0kKHB3ZCk7TEFTVF9DT01QT05FTlQ9JHtwd2QjIyovfTtwcmludGYgIlwwMzNrJXNcMDMzXFwiICRMQVNUX0NPTVBPTkVOVCA7IGF1dG9qdW1wX2FkZF90b19kYXRhYmFzZQ==]]></value></property><property name="GNOME_TERMINAL_SCREEN" fullname="$_SERVER[&quot;GNOME_TERMINAL_SCREEN&quot;]" type="string" size="63" encoding="base64"><![CDATA[L29yZy9nbm9tZS9UZXJtaW5hbC9zY3JlZW4vMmQwNDY1ZjhfZDc0MV80ZjgwX2ExOWFfOWQ1OTg2OGU5NmZl]]></property><property name="_fzf_orig_completion_du" fullname="$_SERVER[&quot;_fzf_orig_completion_du&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZHUgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_sort" fullname="$_SERVER[&quot;_fzf_orig_completion_sort&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc29ydCAjX2xvbmdvcHQ=]]></property><property name="XDG_SESSION_CLASS" fullname="$_SERVER[&quot;XDG_SESSION_CLASS&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="MAKEFLAGS" fullname="$_SERVER[&quot;MAKEFLAGS&quot;]" type="string" size="20" encoding="base64"><![CDATA[LS1uby1wcmludC1kaXJlY3Rvcnk=]]></property><property name="_fzf_orig_completion_cat" fullname="$_SERVER[&quot;_fzf_orig_completion_cat&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY2F0ICNfbG9uZ29wdA==]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="15" encoding="base64"><![CDATA[c2NyZWVuLTI1NmNvbG9y]]></property><property name="FZF_CTRL_T_COMMAND" fullname="$_SERVER[&quot;FZF_CTRL_T_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLmRlZmF1bHQucGF0aA==]]></property><property name="_fzf_orig_completion_ln" fullname="$_SERVER[&quot;_fzf_orig_completion_ln&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbG4gI19sb25nb3B0]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="_fzf_orig_completion_ld" fullname="$_SERVER[&quot;_fzf_orig_completion_ld&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGQgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_ls" fullname="$_SERVER[&quot;_fzf_orig_completion_ls&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbHMgI19sb25nb3B0]]></property><property name="GNOME_TERMINAL_SERVICE" fullname="$_SERVER[&quot;GNOME_TERMINAL_SERVICE&quot;]" type="string" size="6" encoding="base64"><![CDATA[OjEuMTAw]]></property><property name="MANPAGER" fullname="$_SERVER[&quot;MANPAGER&quot;]" type="string" size="221" encoding="base64"><![CDATA[L2Jpbi9zaCAtYyAidW5zZXQgUEFHRVI7Y29sIC1iIC14IHwgICAgIHZpbSAtUiAtYyAnc2V0IGZ0PW1hbiBub21vZCBub3JlbGF0aXZlbnVtYmVyIG5vbnVtYmVyIG5vbGlzdCcgLWMgJ21hcCBxIDpxPENSPicgICAgIC1jICdtYXAgPFNQQUNFPiA8Qy1EPicgLWMgJ21hcCBiIDxDLVU+JyAgICAgLWMgJ25tYXAgSyA6TWFuIDxDLVI+PWV4cGFuZChcIjxjd29yZD5cIik8Q1I+PENSPicgLSI=]]></property><property name="VISUAL" fullname="$_SERVER[&quot;VISUAL&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="AUTOJUMP_SOURCED" fullname="$_SERVER[&quot;AUTOJUMP_SOURCED&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="BASH_ENV" fullname="$_SERVER[&quot;BASH_ENV&quot;]" type="string" size="20" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5iYXNocmM=]]></property><property name="PAGER" fullname="$_SERVER[&quot;PAGER&quot;]" type="string" size="8" encoding="base64"><![CDATA[bGVzcyAtWGk=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="_fzf_orig_completion_pushd" fullname="$_SERVER[&quot;_fzf_orig_completion_pushd&quot;]" type="string" size="36" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBwdXNoZCAjX2Nk]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="1" encoding="base64"><![CDATA[NQ==]]></property><property name="PROMPT_COLOR" fullname="$_SERVER[&quot;PROMPT_COLOR&quot;]" type="string" size="2" encoding="base64"><![CDATA[MzI=]]></property><property name="CONF" fullname="$_SERVER[&quot;CONF&quot;]" type="string" size="11" encoding="base64"><![CDATA[c2NyZWVuLmNvbmY=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="UF_HOMEDIR" fullname="$_SERVER[&quot;UF_HOMEDIR&quot;]" type="string" size="7" encoding="base64"><![CDATA[L3d3dy91Zg==]]></property><property name="FZF_DEFAULT_OPS" fullname="$_SERVER[&quot;FZF_DEFAULT_OPS&quot;]" type="string" size="10" encoding="base64"><![CDATA[LS1leHRlbmRlZA==]]></property><property name="_fzf_orig_completion_cd" fullname="$_SERVER[&quot;_fzf_orig_completion_cd&quot;]" type="string" size="33" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBjZCAjX2Nk]]></property><property name="_fzf_orig_completion_less" fullname="$_SERVER[&quot;_fzf_orig_completion_less&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGVzcyAjX2xvbmdvcHQ=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="71" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hd2Vzb21lOi91c3IvbG9jYWwvc2hhcmUvOi91c3Ivc2hhcmUvOi92YXIvbGliL3NuYXBkL2Rlc2t0b3A=]]></property><property name="_fzf_orig_completion_cp" fullname="$_SERVER[&quot;_fzf_orig_completion_cp&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY3AgI19sb25nb3B0]]></property><property name="BROWSER" fullname="$_SERVER[&quot;BROWSER&quot;]" type="string" size="7" encoding="base64"><![CDATA[ZmlyZWZveA==]]></property><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="893" encoding="base64"><![CDATA[L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2Jpbjovd3d3L3VmL2NoZWNrb3V0L3RydW5rL3Jlc291cmNlL3BsYXRmb3JtL3Byb2R1Y3QtYXBwL3ZlbmRvci9iaW46L3d3dy91Zi9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nL2Jpbjovcm9vdC9iaW46L2hvbWUvZ2JlbGwyLy5hdXRvanVtcC9iaW46L2hvbWUvZ2JlbGwyLy5zdGFjay9jb21waWxlci10b29scy94ODZfNjQtbGludXgvZ2hjLTguNi41L2JpbjovaG9tZS9nYmVsbDIvLmNvbXBvc2VyL3ZlbmRvci9iaW46L29wdC9iaW46L3NiaW46L3Vzci9zYmluOi9ob21lL2diZWxsMi9iaW46L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2JpbjovdXNyL2xvY2FsL3NiaW46L3Vzci9sb2NhbC9iaW46L3Vzci9zYmluOi91c3IvYmluOi9zYmluOi9iaW46L3Vzci9nYW1lczovdXNyL2xvY2FsL2dhbWVzOi9zbmFwL2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8uZnpmL2Jpbjovb3B0L2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8ubG9jYWwvYmluOi9vcHQvbm9kZV9tb2R1bGVzLy5iaW4=]]></property><property name="STY" fullname="$_SERVER[&quot;STY&quot;]" type="string" size="18" encoding="base64"><![CDATA[NzU2NTkzLnByb2R1Y3QtYXBw]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="28" encoding="base64"><![CDATA[dW5peDpwYXRoPS9ydW4vdXNlci8xMDAwL2J1cw==]]></property><property name="_fzf_orig_completion_sed" fullname="$_SERVER[&quot;_fzf_orig_completion_sed&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc2VkICNfbG9uZ29wdA==]]></property><property name="_fzf_orig_completion_head" fullname="$_SERVER[&quot;_fzf_orig_completion_head&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgaGVhZCAjX2xvbmdvcHQ=]]></property><property name="_fzf_orig_completion_wc" fullname="$_SERVER[&quot;_fzf_orig_completion_wc&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgd2MgI19sb25nb3B0]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property type="string" size="68"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmYSUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmElJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9hZG1pbi1hcHAvCn0=]]></value></property><property type="string" size="81"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmZCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmQlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nLwp9]]></value></property><property type="string" size="70"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmcCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZnAlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9wcm9kdWN0LWFwcC8KfQ==]]></value></property></property></response>

[3647146] <- context_get -i 21 -d 0 -c 2
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="21" context="2"></response>

[3647146] <- step_over -i 22
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="22" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="4"></xdebug:message></response>

[3647146] <- stack_get -i 23
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="23"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="4"></stack></response>

[3647146] <- context_get -i 24 -d 0 -c 0
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="24" context="0"><property name="$stack" fullname="$stack" type="object" classname="SplStack" children="1" numchildren="2" page="0" pagesize="100"><property name="*SplDoublyLinkedList*flags" fullname="$stack-&gt;*SplDoublyLinkedList*flags" facet="private" type="int"><![CDATA[6]]></property><property name="*SplDoublyLinkedList*dllist" fullname="$stack-&gt;*SplDoublyLinkedList*dllist" facet="private" type="array" children="0" numchildren="0"></property></property></response>

[3647146] <- context_get -i 25 -d 0 -c 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="25" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="110" page="0" pagesize="100"><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="COLORTERM" fullname="$_SERVER[&quot;COLORTERM&quot;]" type="string" size="9" encoding="base64"><![CDATA[dHJ1ZWNvbG9y]]></property><property name="_fzf_orig_completion_tee" fullname="$_SERVER[&quot;_fzf_orig_completion_tee&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVlICNfbG9uZ29wdA==]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="29" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWF3ZXNvbWU6L2V0Yy94ZGc=]]></property><property name="_fzf_orig_completion_rm" fullname="$_SERVER[&quot;_fzf_orig_completion_rm&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm0gI19sb25nb3B0]]></property><property name="LESS" fullname="$_SERVER[&quot;LESS&quot;]" type="string" size="14" encoding="base64"><![CDATA[LWcgLUkgLUYgLVggLVI=]]></property><property name="_fzf_orig_completion_rmdir" fullname="$_SERVER[&quot;_fzf_orig_completion_rmdir&quot;]" type="string" size="30" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm1kaXIgI19sb25nb3B0]]></property><property name="HISTCONTROL" fullname="$_SERVER[&quot;HISTCONTROL&quot;]" type="string" size="22" encoding="base64"><![CDATA[aWdub3JlZHVwczppZ25vcmVzcGFjZQ==]]></property><property name="ACK_PAGER" fullname="$_SERVER[&quot;ACK_PAGER&quot;]" type="string" size="4" encoding="base64"><![CDATA[bGVzcw==]]></property><property name="HISTSIZE" fullname="$_SERVER[&quot;HISTSIZE&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTAwMA==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fQVU6ZW4=]]></property><property name="_fzf_orig_completion_uniq" fullname="$_SERVER[&quot;_fzf_orig_completion_uniq&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdW5pcSAjX2xvbmdvcHQ=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="39" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLm1hbmRhdG9yeS5wYXRo]]></property><property type="string" size="1343"><name encoding="base64"><![CDATA[VEVSTUNBUA==]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlRFUk1DQVAiXQ==]]></fullname><value encoding="base64"><![CDATA[U0N8c2NyZWVuLTI1NmNvbG9yfFZUIDEwMC9BTlNJIFgzLjY0IHZpcnR1YWwgdGVybWluYWw6XAoJOkRPPVxFWyVkQjpMRT1cRVslZEQ6Ukk9XEVbJWRDOlVQPVxFWyVkQTpiczpidD1cRVtaOlwKCTpjZD1cRVtKOmNlPVxFW0s6Y2w9XEVbSFxFW0o6Y209XEVbJWklZDslZEg6Y3Q9XEVbM2c6XAoJOmRvPV5KOm5kPVxFW0M6cHQ6cmM9XEU4OnJzPVxFYzpzYz1cRTc6c3Q9XEVIOnVwPVxFTTpcCgk6bGU9Xkg6Ymw9Xkc6Y3I9Xk06aXQjODpobz1cRVtIOm53PVxFRTp0YT1eSTppcz1cRSkwOlwKCTpsaSM1NzpjbyMyMTI6YW06eG46eHY6TFA6c3I9XEVNOmFsPVxFW0w6QUw9XEVbJWRMOlwKCTpjcz1cRVslaSVkOyVkcjpkbD1cRVtNOkRMPVxFWyVkTTpkYz1cRVtQOkRDPVxFWyVkUDpcCgk6aW09XEVbNGg6ZWk9XEVbNGw6bWk6SUM9XEVbJWRAOmtzPVxFWz8xaFxFPTpcCgk6a2U9XEVbPzFsXEU+OnZpPVxFWz8yNWw6dmU9XEVbMzRoXEVbPzI1aDp2cz1cRVszNGw6XAoJOnRpPVxFWz8xMDQ5aDp0ZT1cRVs/MTA0OWw6dXM9XEVbNG06dWU9XEVbMjRtOnNvPVxFWzNtOlwKCTpzZT1cRVsyM206bWI9XEVbNW06bWQ9XEVbMW06bWg9XEVbMm06bXI9XEVbN206XAoJOm1lPVxFW206bXM6XAoJOkNvIzg6cGEjNjQ6QUY9XEVbMyVkbTpBQj1cRVs0JWRtOm9wPVxFWzM5OzQ5bTpBWDpcCgk6dmI9XEVnOkcwOmFzPVxFKDA6YWU9XEUoQjpcCgk6YWM9XDE0MFwxNDBhYWZmZ2dqamtrbGxtbW5ub29wcHFxcnJzc3R0dXV2dnd3eHh5eXp6e3t8fH19fn4uLi0tKyssLGhoSUkwMDpcCgk6cG89XEVbNWk6cGY9XEVbNGk6S209XEVbTTprMD1cRVsxMH46azE9XEVPUDprMj1cRU9ROlwKCTprMz1cRU9SOms0PVxFT1M6azU9XEVbMTV+Oms2PVxFWzE3fjprNz1cRVsxOH46XAoJOms4PVxFWzE5fjprOT1cRVsyMH46azs9XEVbMjF+OkYxPVxFWzIzfjpGMj1cRVsyNH46XAoJOkYzPVxFWzE7MlA6RjQ9XEVbMTsyUTpGNT1cRVsxOzJSOkY2PVxFWzE7MlM6XAoJOkY3PVxFWzE1OzJ+OkY4PVxFWzE3OzJ+OkY5PVxFWzE4OzJ+OkZBPQ==]]></value></property><property name="_fzf_orig_completion_ftp" fullname="$_SERVER[&quot;_fzf_orig_completion_ftp&quot;]" type="string" size="32" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZnRwICNfa25vd25faG9zdHM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="32" encoding="base64"><![CDATA[L3RtcC9zc2gtbmI3SGZOcXF4NkhFL2FnZW50LjM1NDQ=]]></property><property name="WINDOW" fullname="$_SERVER[&quot;WINDOW&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="_fzf_orig_completion_tail" fullname="$_SERVER[&quot;_fzf_orig_completion_tail&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGFpbCAjX2xvbmdvcHQ=]]></property><property name="ENSCRIPT" fullname="$_SERVER[&quot;ENSCRIPT&quot;]" type="string" size="13" encoding="base64"><![CDATA[LWQgSEwtTDIzNzVEVw==]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&quot;SSH_AGENT_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MzU0NQ==]]></property><property name="XDEBUG_SESSION" fullname="$_SERVER[&quot;XDEBUG_SESSION&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="GPG_TTY" fullname="$_SERVER[&quot;GPG_TTY&quot;]" type="string" size="11" encoding="base64"><![CDATA[L2Rldi9wdHMvMjA=]]></property><property name="EDITOR" fullname="$_SERVER[&quot;EDITOR&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="_fzf_orig_completion_mv" fullname="$_SERVER[&quot;_fzf_orig_completion_mv&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbXYgI19sb25nb3B0]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="38" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyL1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="36" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ2RtL1hhdXRob3JpdHk=]]></property><property name="TZ" fullname="$_SERVER[&quot;TZ&quot;]" type="string" size="16" encoding="base64"><![CDATA[QXVzdHJhbGlhL1N5ZG5leQ==]]></property><property name="FZF_DEFAULT_COMMAND" fullname="$_SERVER[&quot;FZF_DEFAULT_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="session_name" fullname="$_SERVER[&quot;session_name&quot;]" type="string" size="12" encoding="base64"><![CDATA[IHByb2R1Y3QtYXBw]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="WINDOWPATH" fullname="$_SERVER[&quot;WINDOWPATH&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="s" fullname="$_SERVER[&quot;s&quot;]" type="string" size="38" encoding="base64"><![CDATA[JXs9cn0gJS13JXstcn0lbiAldCV7K3J9JSt3JT0gJXsrYn0lUyA=]]></property><property name="_fzf_orig_completion_diff" fullname="$_SERVER[&quot;_fzf_orig_completion_diff&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZGlmZiAjX2xvbmdvcHQ=]]></property><property name="WINEARCH" fullname="$_SERVER[&quot;WINEARCH&quot;]" type="string" size="5" encoding="base64"><![CDATA[d2luMzI=]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="AUTOJUMP_ERROR_PATH" fullname="$_SERVER[&quot;AUTOJUMP_ERROR_PATH&quot;]" type="string" size="45" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5sb2NhbC9zaGFyZS9hdXRvanVtcC9lcnJvcnMubG9n]]></property><property name="SSH_ASKPASS" fullname="$_SERVER[&quot;SSH_ASKPASS&quot;]" type="string" size="20" encoding="base64"><![CDATA[L3Vzci9iaW4vc3NoLWFza3Bhc3M=]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fQVUuVVRGLTg=]]></property><property name="_fzf_orig_completion_awk" fullname="$_SERVER[&quot;_fzf_orig_completion_awk&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgYXdrICNfbG9uZ29wdA==]]></property><property name="WINEPREFIX" fullname="$_SERVER[&quot;WINEPREFIX&quot;]" type="string" size="21" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy53aW5lLTMy]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="2750" encoding="base64"><![CDATA[YmQ9NDg7NTsxMDg7Mzg7NTsyMjM7MDE6Y2E9MDE7Mzg7NTs5NTpjZD00ODs1OzEwODszODs1OzIyMzswMTpkaT0wMTszODs1OzIyMzpkbz00ODs1OzIzNDszODs1OzE4MDswMTpleD0wMTszODs1OzEwODpwaT00ODs1OzIzNDszODs1OzE4MDswMTpsbj0zODs1OzIyMzpvcj00ODs1OzIzNDszODs1OzE4Nzpvdz00ODs1OzIzNDszODs1OzE4MDpzdT00ODs1OzIzNDszODs1OzY2OnNnPTQ4OzU7MjM0OzM4OzU7NjY6c289NDg7NTsyMzQ7Mzg7NTsxODA7MDE6c3Q9NDg7NTsxODA7Mzg7NTsyMzQ6dHc9NDg7NTsxODA7Mzg7NTsyMzQ6Ki43ej0wMTszODs1OzE3NDoqLmFyaj0wMTszODs1OzE3NDoqLmJ6Mj0wMTszODs1OzE3NDoqLmJ6PTAxOzM4OzU7MTc0OiouZ3o9MDE7Mzg7NTsxNzQ6Ki5yYXI9MDE7Mzg7NTsxNzQ6Ki50YXI9MDE7Mzg7NTsxNzQ6Ki50Z3o9MDE7Mzg7NTsxNzQ6Ki50Yno9MDE7Mzg7NTsxNzQ6Ki50YnoyPTAxOzM4OzU7MTc0OioueHo9MDE7Mzg7NTsxNzQ6Ki56aXA9MDE7Mzg7NTsxNzQ6Ki5hcGs9MDE7Mzg7NTs5NToqLmRlYj0wMTszODs1OzE3NDoqLmphZD0wMTszODs1Ozk1OiouamFyPTAxOzM4OzU7OTU6Ki5ycG09MDE7Mzg7NTsxNzQ6Ki5ibXA9MDA7Mzg7NTsxMDk6Ki5naWY9MDA7Mzg7NTsxMDk6Ki5pY289MDA7Mzg7NTsxMDk6Ki5qcGc9MDA7Mzg7NTsxMDk6Ki5KUEc9MDA7Mzg7NTsxMDk6Ki5qcGVnPTAwOzM4OzU7MTA5OioucG5nPTAwOzM4OzU7MTA5Oiouc3ZnPTAwOzM4OzU7MTA5OioueGJtPTAwOzM4OzU7MTA5OioueHBtPTAwOzM4OzU7MTA5OiouYWFjPTAwOzM4OzU7MTE2OiouYXU9MDA7Mzg7NTsxMTY6Ki5mbGFjPTAwOzM4OzU7MTE2OioubWlkPTAwOzM4OzU7MTE2OioubWlkaT0wMDszODs1OzExNjoqLm1rYT0wMDszODs1OzExNjoqLm1wMz0wMDszODs1OzExNjoqLm1wYz0wMDszODs1OzExNjoqLm9nZz0wMDszODs1OzExNjoqLnJhPTAwOzM4OzU7MTE2Oioud2F2PTAwOzM4OzU7MTE2OioubW92PTAwOzM4OzU7NjY6Ki5tcGc9MDA7Mzg7NTs2NjoqLm1wZWc9MDA7Mw==]]></property><property name="_JAVA_AWT_WM_NONREPARENTING" fullname="$_SERVER[&quot;_JAVA_AWT_WM_NONREPARENTING&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="_fzf_orig_completion_telnet" fullname="$_SERVER[&quot;_fzf_orig_completion_telnet&quot;]" type="string" size="35" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVsbmV0ICNfa25vd25faG9zdHM=]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NjAwMw==]]></property><property name="_fzf_orig_completion_grep" fullname="$_SERVER[&quot;_fzf_orig_completion_grep&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZ3JlcCAjX2xvbmdvcHQ=]]></property><property type="string" size="460"><name encoding="base64"><![CDATA[UFJPTVBUX0NPTU1BTkQ=]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlBST01QVF9DT01NQU5EIl0=]]></fullname><value encoding="base64"><![CDATA[RElSPSQocHdkfHNlZCAtZSAicyEvZGF0YS8hLyEifHNlZCAtZSAicyEkSE9NRSF+ISIpO0lGUz0iLyIgcmVhZCAtcmEgUGF0aEVsZW1lbnRzIDw8PCAiJHtESVJ9IjtMRU49JHsjUGF0aEVsZW1lbnRzfTtBbHREaXI9Ii8ke1BhdGhFbGVtZW50c1sxXX0vJHtQYXRoRWxlbWVudHNbMl19L+KApi8ke1BhdGhFbGVtZW50c1tMRU4tMl19LyR7UGF0aEVsZW1lbnRzW0xFTi0xXX0iO0FsdDJEaXI9IiR7UGF0aEVsZW1lbnRzW0xFTi0yXX0vJHtQYXRoRWxlbWVudHNbTEVOLTFdfSI7aWYgW1sgJHsjRElSfSAtbHQgMzAgfHwgJHsjQWx0RGlyfSA+ICR7I0RJUn0gXV07IHRoZW4gICBBbHREaXI9JERJUjsgICBBbHQyRGlyPSRESVI7IGZpO3B3ZD0kKHB3ZCk7TEFTVF9DT01QT05FTlQ9JHtwd2QjIyovfTtwcmludGYgIlwwMzNrJXNcMDMzXFwiICRMQVNUX0NPTVBPTkVOVCA7IGF1dG9qdW1wX2FkZF90b19kYXRhYmFzZQ==]]></value></property><property name="GNOME_TERMINAL_SCREEN" fullname="$_SERVER[&quot;GNOME_TERMINAL_SCREEN&quot;]" type="string" size="63" encoding="base64"><![CDATA[L29yZy9nbm9tZS9UZXJtaW5hbC9zY3JlZW4vMmQwNDY1ZjhfZDc0MV80ZjgwX2ExOWFfOWQ1OTg2OGU5NmZl]]></property><property name="_fzf_orig_completion_du" fullname="$_SERVER[&quot;_fzf_orig_completion_du&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZHUgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_sort" fullname="$_SERVER[&quot;_fzf_orig_completion_sort&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc29ydCAjX2xvbmdvcHQ=]]></property><property name="XDG_SESSION_CLASS" fullname="$_SERVER[&quot;XDG_SESSION_CLASS&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="MAKEFLAGS" fullname="$_SERVER[&quot;MAKEFLAGS&quot;]" type="string" size="20" encoding="base64"><![CDATA[LS1uby1wcmludC1kaXJlY3Rvcnk=]]></property><property name="_fzf_orig_completion_cat" fullname="$_SERVER[&quot;_fzf_orig_completion_cat&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY2F0ICNfbG9uZ29wdA==]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="15" encoding="base64"><![CDATA[c2NyZWVuLTI1NmNvbG9y]]></property><property name="FZF_CTRL_T_COMMAND" fullname="$_SERVER[&quot;FZF_CTRL_T_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLmRlZmF1bHQucGF0aA==]]></property><property name="_fzf_orig_completion_ln" fullname="$_SERVER[&quot;_fzf_orig_completion_ln&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbG4gI19sb25nb3B0]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="_fzf_orig_completion_ld" fullname="$_SERVER[&quot;_fzf_orig_completion_ld&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGQgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_ls" fullname="$_SERVER[&quot;_fzf_orig_completion_ls&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbHMgI19sb25nb3B0]]></property><property name="GNOME_TERMINAL_SERVICE" fullname="$_SERVER[&quot;GNOME_TERMINAL_SERVICE&quot;]" type="string" size="6" encoding="base64"><![CDATA[OjEuMTAw]]></property><property name="MANPAGER" fullname="$_SERVER[&quot;MANPAGER&quot;]" type="string" size="221" encoding="base64"><![CDATA[L2Jpbi9zaCAtYyAidW5zZXQgUEFHRVI7Y29sIC1iIC14IHwgICAgIHZpbSAtUiAtYyAnc2V0IGZ0PW1hbiBub21vZCBub3JlbGF0aXZlbnVtYmVyIG5vbnVtYmVyIG5vbGlzdCcgLWMgJ21hcCBxIDpxPENSPicgICAgIC1jICdtYXAgPFNQQUNFPiA8Qy1EPicgLWMgJ21hcCBiIDxDLVU+JyAgICAgLWMgJ25tYXAgSyA6TWFuIDxDLVI+PWV4cGFuZChcIjxjd29yZD5cIik8Q1I+PENSPicgLSI=]]></property><property name="VISUAL" fullname="$_SERVER[&quot;VISUAL&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="AUTOJUMP_SOURCED" fullname="$_SERVER[&quot;AUTOJUMP_SOURCED&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="BASH_ENV" fullname="$_SERVER[&quot;BASH_ENV&quot;]" type="string" size="20" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5iYXNocmM=]]></property><property name="PAGER" fullname="$_SERVER[&quot;PAGER&quot;]" type="string" size="8" encoding="base64"><![CDATA[bGVzcyAtWGk=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="_fzf_orig_completion_pushd" fullname="$_SERVER[&quot;_fzf_orig_completion_pushd&quot;]" type="string" size="36" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBwdXNoZCAjX2Nk]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="1" encoding="base64"><![CDATA[NQ==]]></property><property name="PROMPT_COLOR" fullname="$_SERVER[&quot;PROMPT_COLOR&quot;]" type="string" size="2" encoding="base64"><![CDATA[MzI=]]></property><property name="CONF" fullname="$_SERVER[&quot;CONF&quot;]" type="string" size="11" encoding="base64"><![CDATA[c2NyZWVuLmNvbmY=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="UF_HOMEDIR" fullname="$_SERVER[&quot;UF_HOMEDIR&quot;]" type="string" size="7" encoding="base64"><![CDATA[L3d3dy91Zg==]]></property><property name="FZF_DEFAULT_OPS" fullname="$_SERVER[&quot;FZF_DEFAULT_OPS&quot;]" type="string" size="10" encoding="base64"><![CDATA[LS1leHRlbmRlZA==]]></property><property name="_fzf_orig_completion_cd" fullname="$_SERVER[&quot;_fzf_orig_completion_cd&quot;]" type="string" size="33" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBjZCAjX2Nk]]></property><property name="_fzf_orig_completion_less" fullname="$_SERVER[&quot;_fzf_orig_completion_less&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGVzcyAjX2xvbmdvcHQ=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="71" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hd2Vzb21lOi91c3IvbG9jYWwvc2hhcmUvOi91c3Ivc2hhcmUvOi92YXIvbGliL3NuYXBkL2Rlc2t0b3A=]]></property><property name="_fzf_orig_completion_cp" fullname="$_SERVER[&quot;_fzf_orig_completion_cp&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY3AgI19sb25nb3B0]]></property><property name="BROWSER" fullname="$_SERVER[&quot;BROWSER&quot;]" type="string" size="7" encoding="base64"><![CDATA[ZmlyZWZveA==]]></property><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="893" encoding="base64"><![CDATA[L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2Jpbjovd3d3L3VmL2NoZWNrb3V0L3RydW5rL3Jlc291cmNlL3BsYXRmb3JtL3Byb2R1Y3QtYXBwL3ZlbmRvci9iaW46L3d3dy91Zi9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nL2Jpbjovcm9vdC9iaW46L2hvbWUvZ2JlbGwyLy5hdXRvanVtcC9iaW46L2hvbWUvZ2JlbGwyLy5zdGFjay9jb21waWxlci10b29scy94ODZfNjQtbGludXgvZ2hjLTguNi41L2JpbjovaG9tZS9nYmVsbDIvLmNvbXBvc2VyL3ZlbmRvci9iaW46L29wdC9iaW46L3NiaW46L3Vzci9zYmluOi9ob21lL2diZWxsMi9iaW46L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2JpbjovdXNyL2xvY2FsL3NiaW46L3Vzci9sb2NhbC9iaW46L3Vzci9zYmluOi91c3IvYmluOi9zYmluOi9iaW46L3Vzci9nYW1lczovdXNyL2xvY2FsL2dhbWVzOi9zbmFwL2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8uZnpmL2Jpbjovb3B0L2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8ubG9jYWwvYmluOi9vcHQvbm9kZV9tb2R1bGVzLy5iaW4=]]></property><property name="STY" fullname="$_SERVER[&quot;STY&quot;]" type="string" size="18" encoding="base64"><![CDATA[NzU2NTkzLnByb2R1Y3QtYXBw]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="28" encoding="base64"><![CDATA[dW5peDpwYXRoPS9ydW4vdXNlci8xMDAwL2J1cw==]]></property><property name="_fzf_orig_completion_sed" fullname="$_SERVER[&quot;_fzf_orig_completion_sed&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc2VkICNfbG9uZ29wdA==]]></property><property name="_fzf_orig_completion_head" fullname="$_SERVER[&quot;_fzf_orig_completion_head&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgaGVhZCAjX2xvbmdvcHQ=]]></property><property name="_fzf_orig_completion_wc" fullname="$_SERVER[&quot;_fzf_orig_completion_wc&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgd2MgI19sb25nb3B0]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property type="string" size="68"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmYSUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmElJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9hZG1pbi1hcHAvCn0=]]></value></property><property type="string" size="81"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmZCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmQlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nLwp9]]></value></property><property type="string" size="70"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmcCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZnAlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9wcm9kdWN0LWFwcC8KfQ==]]></value></property></property></response>

[3647146] <- context_get -i 26 -d 0 -c 2
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="26" context="2"></response>

[3647146] <- step_over -i 27
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="27" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="5"></xdebug:message></response>

[3647146] <- stack_get -i 28
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="28"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="5"></stack></response>

[3647146] <- context_get -i 29 -d 0 -c 0
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="29" context="0"><property name="$stack" fullname="$stack" type="object" classname="SplStack" children="1" numchildren="2" page="0" pagesize="100"><property name="*SplDoublyLinkedList*flags" fullname="$stack-&gt;*SplDoublyLinkedList*flags" facet="private" type="int"><![CDATA[6]]></property><property name="*SplDoublyLinkedList*dllist" fullname="$stack-&gt;*SplDoublyLinkedList*dllist" facet="private" type="array" children="1" numchildren="1"></property></property></response>

[3647146] <- context_get -i 30 -d 0 -c 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="30" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="110" page="0" pagesize="100"><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="COLORTERM" fullname="$_SERVER[&quot;COLORTERM&quot;]" type="string" size="9" encoding="base64"><![CDATA[dHJ1ZWNvbG9y]]></property><property name="_fzf_orig_completion_tee" fullname="$_SERVER[&quot;_fzf_orig_completion_tee&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVlICNfbG9uZ29wdA==]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="29" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWF3ZXNvbWU6L2V0Yy94ZGc=]]></property><property name="_fzf_orig_completion_rm" fullname="$_SERVER[&quot;_fzf_orig_completion_rm&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm0gI19sb25nb3B0]]></property><property name="LESS" fullname="$_SERVER[&quot;LESS&quot;]" type="string" size="14" encoding="base64"><![CDATA[LWcgLUkgLUYgLVggLVI=]]></property><property name="_fzf_orig_completion_rmdir" fullname="$_SERVER[&quot;_fzf_orig_completion_rmdir&quot;]" type="string" size="30" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm1kaXIgI19sb25nb3B0]]></property><property name="HISTCONTROL" fullname="$_SERVER[&quot;HISTCONTROL&quot;]" type="string" size="22" encoding="base64"><![CDATA[aWdub3JlZHVwczppZ25vcmVzcGFjZQ==]]></property><property name="ACK_PAGER" fullname="$_SERVER[&quot;ACK_PAGER&quot;]" type="string" size="4" encoding="base64"><![CDATA[bGVzcw==]]></property><property name="HISTSIZE" fullname="$_SERVER[&quot;HISTSIZE&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTAwMA==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fQVU6ZW4=]]></property><property name="_fzf_orig_completion_uniq" fullname="$_SERVER[&quot;_fzf_orig_completion_uniq&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdW5pcSAjX2xvbmdvcHQ=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="39" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLm1hbmRhdG9yeS5wYXRo]]></property><property type="string" size="1343"><name encoding="base64"><![CDATA[VEVSTUNBUA==]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlRFUk1DQVAiXQ==]]></fullname><value encoding="base64"><![CDATA[U0N8c2NyZWVuLTI1NmNvbG9yfFZUIDEwMC9BTlNJIFgzLjY0IHZpcnR1YWwgdGVybWluYWw6XAoJOkRPPVxFWyVkQjpMRT1cRVslZEQ6Ukk9XEVbJWRDOlVQPVxFWyVkQTpiczpidD1cRVtaOlwKCTpjZD1cRVtKOmNlPVxFW0s6Y2w9XEVbSFxFW0o6Y209XEVbJWklZDslZEg6Y3Q9XEVbM2c6XAoJOmRvPV5KOm5kPVxFW0M6cHQ6cmM9XEU4OnJzPVxFYzpzYz1cRTc6c3Q9XEVIOnVwPVxFTTpcCgk6bGU9Xkg6Ymw9Xkc6Y3I9Xk06aXQjODpobz1cRVtIOm53PVxFRTp0YT1eSTppcz1cRSkwOlwKCTpsaSM1NzpjbyMyMTI6YW06eG46eHY6TFA6c3I9XEVNOmFsPVxFW0w6QUw9XEVbJWRMOlwKCTpjcz1cRVslaSVkOyVkcjpkbD1cRVtNOkRMPVxFWyVkTTpkYz1cRVtQOkRDPVxFWyVkUDpcCgk6aW09XEVbNGg6ZWk9XEVbNGw6bWk6SUM9XEVbJWRAOmtzPVxFWz8xaFxFPTpcCgk6a2U9XEVbPzFsXEU+OnZpPVxFWz8yNWw6dmU9XEVbMzRoXEVbPzI1aDp2cz1cRVszNGw6XAoJOnRpPVxFWz8xMDQ5aDp0ZT1cRVs/MTA0OWw6dXM9XEVbNG06dWU9XEVbMjRtOnNvPVxFWzNtOlwKCTpzZT1cRVsyM206bWI9XEVbNW06bWQ9XEVbMW06bWg9XEVbMm06bXI9XEVbN206XAoJOm1lPVxFW206bXM6XAoJOkNvIzg6cGEjNjQ6QUY9XEVbMyVkbTpBQj1cRVs0JWRtOm9wPVxFWzM5OzQ5bTpBWDpcCgk6dmI9XEVnOkcwOmFzPVxFKDA6YWU9XEUoQjpcCgk6YWM9XDE0MFwxNDBhYWZmZ2dqamtrbGxtbW5ub29wcHFxcnJzc3R0dXV2dnd3eHh5eXp6e3t8fH19fn4uLi0tKyssLGhoSUkwMDpcCgk6cG89XEVbNWk6cGY9XEVbNGk6S209XEVbTTprMD1cRVsxMH46azE9XEVPUDprMj1cRU9ROlwKCTprMz1cRU9SOms0PVxFT1M6azU9XEVbMTV+Oms2PVxFWzE3fjprNz1cRVsxOH46XAoJOms4PVxFWzE5fjprOT1cRVsyMH46azs9XEVbMjF+OkYxPVxFWzIzfjpGMj1cRVsyNH46XAoJOkYzPVxFWzE7MlA6RjQ9XEVbMTsyUTpGNT1cRVsxOzJSOkY2PVxFWzE7MlM6XAoJOkY3PVxFWzE1OzJ+OkY4PVxFWzE3OzJ+OkY5PVxFWzE4OzJ+OkZBPQ==]]></value></property><property name="_fzf_orig_completion_ftp" fullname="$_SERVER[&quot;_fzf_orig_completion_ftp&quot;]" type="string" size="32" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZnRwICNfa25vd25faG9zdHM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="32" encoding="base64"><![CDATA[L3RtcC9zc2gtbmI3SGZOcXF4NkhFL2FnZW50LjM1NDQ=]]></property><property name="WINDOW" fullname="$_SERVER[&quot;WINDOW&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="_fzf_orig_completion_tail" fullname="$_SERVER[&quot;_fzf_orig_completion_tail&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGFpbCAjX2xvbmdvcHQ=]]></property><property name="ENSCRIPT" fullname="$_SERVER[&quot;ENSCRIPT&quot;]" type="string" size="13" encoding="base64"><![CDATA[LWQgSEwtTDIzNzVEVw==]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&quot;SSH_AGENT_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MzU0NQ==]]></property><property name="XDEBUG_SESSION" fullname="$_SERVER[&quot;XDEBUG_SESSION&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="GPG_TTY" fullname="$_SERVER[&quot;GPG_TTY&quot;]" type="string" size="11" encoding="base64"><![CDATA[L2Rldi9wdHMvMjA=]]></property><property name="EDITOR" fullname="$_SERVER[&quot;EDITOR&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="_fzf_orig_completion_mv" fullname="$_SERVER[&quot;_fzf_orig_completion_mv&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbXYgI19sb25nb3B0]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="38" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyL1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="36" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ2RtL1hhdXRob3JpdHk=]]></property><property name="TZ" fullname="$_SERVER[&quot;TZ&quot;]" type="string" size="16" encoding="base64"><![CDATA[QXVzdHJhbGlhL1N5ZG5leQ==]]></property><property name="FZF_DEFAULT_COMMAND" fullname="$_SERVER[&quot;FZF_DEFAULT_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="session_name" fullname="$_SERVER[&quot;session_name&quot;]" type="string" size="12" encoding="base64"><![CDATA[IHByb2R1Y3QtYXBw]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="WINDOWPATH" fullname="$_SERVER[&quot;WINDOWPATH&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="s" fullname="$_SERVER[&quot;s&quot;]" type="string" size="38" encoding="base64"><![CDATA[JXs9cn0gJS13JXstcn0lbiAldCV7K3J9JSt3JT0gJXsrYn0lUyA=]]></property><property name="_fzf_orig_completion_diff" fullname="$_SERVER[&quot;_fzf_orig_completion_diff&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZGlmZiAjX2xvbmdvcHQ=]]></property><property name="WINEARCH" fullname="$_SERVER[&quot;WINEARCH&quot;]" type="string" size="5" encoding="base64"><![CDATA[d2luMzI=]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="AUTOJUMP_ERROR_PATH" fullname="$_SERVER[&quot;AUTOJUMP_ERROR_PATH&quot;]" type="string" size="45" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5sb2NhbC9zaGFyZS9hdXRvanVtcC9lcnJvcnMubG9n]]></property><property name="SSH_ASKPASS" fullname="$_SERVER[&quot;SSH_ASKPASS&quot;]" type="string" size="20" encoding="base64"><![CDATA[L3Vzci9iaW4vc3NoLWFza3Bhc3M=]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fQVUuVVRGLTg=]]></property><property name="_fzf_orig_completion_awk" fullname="$_SERVER[&quot;_fzf_orig_completion_awk&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgYXdrICNfbG9uZ29wdA==]]></property><property name="WINEPREFIX" fullname="$_SERVER[&quot;WINEPREFIX&quot;]" type="string" size="21" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy53aW5lLTMy]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="2750" encoding="base64"><![CDATA[YmQ9NDg7NTsxMDg7Mzg7NTsyMjM7MDE6Y2E9MDE7Mzg7NTs5NTpjZD00ODs1OzEwODszODs1OzIyMzswMTpkaT0wMTszODs1OzIyMzpkbz00ODs1OzIzNDszODs1OzE4MDswMTpleD0wMTszODs1OzEwODpwaT00ODs1OzIzNDszODs1OzE4MDswMTpsbj0zODs1OzIyMzpvcj00ODs1OzIzNDszODs1OzE4Nzpvdz00ODs1OzIzNDszODs1OzE4MDpzdT00ODs1OzIzNDszODs1OzY2OnNnPTQ4OzU7MjM0OzM4OzU7NjY6c289NDg7NTsyMzQ7Mzg7NTsxODA7MDE6c3Q9NDg7NTsxODA7Mzg7NTsyMzQ6dHc9NDg7NTsxODA7Mzg7NTsyMzQ6Ki43ej0wMTszODs1OzE3NDoqLmFyaj0wMTszODs1OzE3NDoqLmJ6Mj0wMTszODs1OzE3NDoqLmJ6PTAxOzM4OzU7MTc0OiouZ3o9MDE7Mzg7NTsxNzQ6Ki5yYXI9MDE7Mzg7NTsxNzQ6Ki50YXI9MDE7Mzg7NTsxNzQ6Ki50Z3o9MDE7Mzg7NTsxNzQ6Ki50Yno9MDE7Mzg7NTsxNzQ6Ki50YnoyPTAxOzM4OzU7MTc0OioueHo9MDE7Mzg7NTsxNzQ6Ki56aXA9MDE7Mzg7NTsxNzQ6Ki5hcGs9MDE7Mzg7NTs5NToqLmRlYj0wMTszODs1OzE3NDoqLmphZD0wMTszODs1Ozk1OiouamFyPTAxOzM4OzU7OTU6Ki5ycG09MDE7Mzg7NTsxNzQ6Ki5ibXA9MDA7Mzg7NTsxMDk6Ki5naWY9MDA7Mzg7NTsxMDk6Ki5pY289MDA7Mzg7NTsxMDk6Ki5qcGc9MDA7Mzg7NTsxMDk6Ki5KUEc9MDA7Mzg7NTsxMDk6Ki5qcGVnPTAwOzM4OzU7MTA5OioucG5nPTAwOzM4OzU7MTA5Oiouc3ZnPTAwOzM4OzU7MTA5OioueGJtPTAwOzM4OzU7MTA5OioueHBtPTAwOzM4OzU7MTA5OiouYWFjPTAwOzM4OzU7MTE2OiouYXU9MDA7Mzg7NTsxMTY6Ki5mbGFjPTAwOzM4OzU7MTE2OioubWlkPTAwOzM4OzU7MTE2OioubWlkaT0wMDszODs1OzExNjoqLm1rYT0wMDszODs1OzExNjoqLm1wMz0wMDszODs1OzExNjoqLm1wYz0wMDszODs1OzExNjoqLm9nZz0wMDszODs1OzExNjoqLnJhPTAwOzM4OzU7MTE2Oioud2F2PTAwOzM4OzU7MTE2OioubW92PTAwOzM4OzU7NjY6Ki5tcGc9MDA7Mzg7NTs2NjoqLm1wZWc9MDA7Mw==]]></property><property name="_JAVA_AWT_WM_NONREPARENTING" fullname="$_SERVER[&quot;_JAVA_AWT_WM_NONREPARENTING&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="_fzf_orig_completion_telnet" fullname="$_SERVER[&quot;_fzf_orig_completion_telnet&quot;]" type="string" size="35" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVsbmV0ICNfa25vd25faG9zdHM=]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NjAwMw==]]></property><property name="_fzf_orig_completion_grep" fullname="$_SERVER[&quot;_fzf_orig_completion_grep&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZ3JlcCAjX2xvbmdvcHQ=]]></property><property type="string" size="460"><name encoding="base64"><![CDATA[UFJPTVBUX0NPTU1BTkQ=]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlBST01QVF9DT01NQU5EIl0=]]></fullname><value encoding="base64"><![CDATA[RElSPSQocHdkfHNlZCAtZSAicyEvZGF0YS8hLyEifHNlZCAtZSAicyEkSE9NRSF+ISIpO0lGUz0iLyIgcmVhZCAtcmEgUGF0aEVsZW1lbnRzIDw8PCAiJHtESVJ9IjtMRU49JHsjUGF0aEVsZW1lbnRzfTtBbHREaXI9Ii8ke1BhdGhFbGVtZW50c1sxXX0vJHtQYXRoRWxlbWVudHNbMl19L+KApi8ke1BhdGhFbGVtZW50c1tMRU4tMl19LyR7UGF0aEVsZW1lbnRzW0xFTi0xXX0iO0FsdDJEaXI9IiR7UGF0aEVsZW1lbnRzW0xFTi0yXX0vJHtQYXRoRWxlbWVudHNbTEVOLTFdfSI7aWYgW1sgJHsjRElSfSAtbHQgMzAgfHwgJHsjQWx0RGlyfSA+ICR7I0RJUn0gXV07IHRoZW4gICBBbHREaXI9JERJUjsgICBBbHQyRGlyPSRESVI7IGZpO3B3ZD0kKHB3ZCk7TEFTVF9DT01QT05FTlQ9JHtwd2QjIyovfTtwcmludGYgIlwwMzNrJXNcMDMzXFwiICRMQVNUX0NPTVBPTkVOVCA7IGF1dG9qdW1wX2FkZF90b19kYXRhYmFzZQ==]]></value></property><property name="GNOME_TERMINAL_SCREEN" fullname="$_SERVER[&quot;GNOME_TERMINAL_SCREEN&quot;]" type="string" size="63" encoding="base64"><![CDATA[L29yZy9nbm9tZS9UZXJtaW5hbC9zY3JlZW4vMmQwNDY1ZjhfZDc0MV80ZjgwX2ExOWFfOWQ1OTg2OGU5NmZl]]></property><property name="_fzf_orig_completion_du" fullname="$_SERVER[&quot;_fzf_orig_completion_du&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZHUgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_sort" fullname="$_SERVER[&quot;_fzf_orig_completion_sort&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc29ydCAjX2xvbmdvcHQ=]]></property><property name="XDG_SESSION_CLASS" fullname="$_SERVER[&quot;XDG_SESSION_CLASS&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="MAKEFLAGS" fullname="$_SERVER[&quot;MAKEFLAGS&quot;]" type="string" size="20" encoding="base64"><![CDATA[LS1uby1wcmludC1kaXJlY3Rvcnk=]]></property><property name="_fzf_orig_completion_cat" fullname="$_SERVER[&quot;_fzf_orig_completion_cat&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY2F0ICNfbG9uZ29wdA==]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="15" encoding="base64"><![CDATA[c2NyZWVuLTI1NmNvbG9y]]></property><property name="FZF_CTRL_T_COMMAND" fullname="$_SERVER[&quot;FZF_CTRL_T_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLmRlZmF1bHQucGF0aA==]]></property><property name="_fzf_orig_completion_ln" fullname="$_SERVER[&quot;_fzf_orig_completion_ln&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbG4gI19sb25nb3B0]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="_fzf_orig_completion_ld" fullname="$_SERVER[&quot;_fzf_orig_completion_ld&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGQgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_ls" fullname="$_SERVER[&quot;_fzf_orig_completion_ls&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbHMgI19sb25nb3B0]]></property><property name="GNOME_TERMINAL_SERVICE" fullname="$_SERVER[&quot;GNOME_TERMINAL_SERVICE&quot;]" type="string" size="6" encoding="base64"><![CDATA[OjEuMTAw]]></property><property name="MANPAGER" fullname="$_SERVER[&quot;MANPAGER&quot;]" type="string" size="221" encoding="base64"><![CDATA[L2Jpbi9zaCAtYyAidW5zZXQgUEFHRVI7Y29sIC1iIC14IHwgICAgIHZpbSAtUiAtYyAnc2V0IGZ0PW1hbiBub21vZCBub3JlbGF0aXZlbnVtYmVyIG5vbnVtYmVyIG5vbGlzdCcgLWMgJ21hcCBxIDpxPENSPicgICAgIC1jICdtYXAgPFNQQUNFPiA8Qy1EPicgLWMgJ21hcCBiIDxDLVU+JyAgICAgLWMgJ25tYXAgSyA6TWFuIDxDLVI+PWV4cGFuZChcIjxjd29yZD5cIik8Q1I+PENSPicgLSI=]]></property><property name="VISUAL" fullname="$_SERVER[&quot;VISUAL&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="AUTOJUMP_SOURCED" fullname="$_SERVER[&quot;AUTOJUMP_SOURCED&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="BASH_ENV" fullname="$_SERVER[&quot;BASH_ENV&quot;]" type="string" size="20" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5iYXNocmM=]]></property><property name="PAGER" fullname="$_SERVER[&quot;PAGER&quot;]" type="string" size="8" encoding="base64"><![CDATA[bGVzcyAtWGk=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="_fzf_orig_completion_pushd" fullname="$_SERVER[&quot;_fzf_orig_completion_pushd&quot;]" type="string" size="36" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBwdXNoZCAjX2Nk]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="1" encoding="base64"><![CDATA[NQ==]]></property><property name="PROMPT_COLOR" fullname="$_SERVER[&quot;PROMPT_COLOR&quot;]" type="string" size="2" encoding="base64"><![CDATA[MzI=]]></property><property name="CONF" fullname="$_SERVER[&quot;CONF&quot;]" type="string" size="11" encoding="base64"><![CDATA[c2NyZWVuLmNvbmY=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="UF_HOMEDIR" fullname="$_SERVER[&quot;UF_HOMEDIR&quot;]" type="string" size="7" encoding="base64"><![CDATA[L3d3dy91Zg==]]></property><property name="FZF_DEFAULT_OPS" fullname="$_SERVER[&quot;FZF_DEFAULT_OPS&quot;]" type="string" size="10" encoding="base64"><![CDATA[LS1leHRlbmRlZA==]]></property><property name="_fzf_orig_completion_cd" fullname="$_SERVER[&quot;_fzf_orig_completion_cd&quot;]" type="string" size="33" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBjZCAjX2Nk]]></property><property name="_fzf_orig_completion_less" fullname="$_SERVER[&quot;_fzf_orig_completion_less&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGVzcyAjX2xvbmdvcHQ=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="71" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hd2Vzb21lOi91c3IvbG9jYWwvc2hhcmUvOi91c3Ivc2hhcmUvOi92YXIvbGliL3NuYXBkL2Rlc2t0b3A=]]></property><property name="_fzf_orig_completion_cp" fullname="$_SERVER[&quot;_fzf_orig_completion_cp&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY3AgI19sb25nb3B0]]></property><property name="BROWSER" fullname="$_SERVER[&quot;BROWSER&quot;]" type="string" size="7" encoding="base64"><![CDATA[ZmlyZWZveA==]]></property><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="893" encoding="base64"><![CDATA[L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2Jpbjovd3d3L3VmL2NoZWNrb3V0L3RydW5rL3Jlc291cmNlL3BsYXRmb3JtL3Byb2R1Y3QtYXBwL3ZlbmRvci9iaW46L3d3dy91Zi9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nL2Jpbjovcm9vdC9iaW46L2hvbWUvZ2JlbGwyLy5hdXRvanVtcC9iaW46L2hvbWUvZ2JlbGwyLy5zdGFjay9jb21waWxlci10b29scy94ODZfNjQtbGludXgvZ2hjLTguNi41L2JpbjovaG9tZS9nYmVsbDIvLmNvbXBvc2VyL3ZlbmRvci9iaW46L29wdC9iaW46L3NiaW46L3Vzci9zYmluOi9ob21lL2diZWxsMi9iaW46L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2JpbjovdXNyL2xvY2FsL3NiaW46L3Vzci9sb2NhbC9iaW46L3Vzci9zYmluOi91c3IvYmluOi9zYmluOi9iaW46L3Vzci9nYW1lczovdXNyL2xvY2FsL2dhbWVzOi9zbmFwL2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8uZnpmL2Jpbjovb3B0L2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8ubG9jYWwvYmluOi9vcHQvbm9kZV9tb2R1bGVzLy5iaW4=]]></property><property name="STY" fullname="$_SERVER[&quot;STY&quot;]" type="string" size="18" encoding="base64"><![CDATA[NzU2NTkzLnByb2R1Y3QtYXBw]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="28" encoding="base64"><![CDATA[dW5peDpwYXRoPS9ydW4vdXNlci8xMDAwL2J1cw==]]></property><property name="_fzf_orig_completion_sed" fullname="$_SERVER[&quot;_fzf_orig_completion_sed&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc2VkICNfbG9uZ29wdA==]]></property><property name="_fzf_orig_completion_head" fullname="$_SERVER[&quot;_fzf_orig_completion_head&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgaGVhZCAjX2xvbmdvcHQ=]]></property><property name="_fzf_orig_completion_wc" fullname="$_SERVER[&quot;_fzf_orig_completion_wc&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgd2MgI19sb25nb3B0]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property type="string" size="68"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmYSUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmElJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9hZG1pbi1hcHAvCn0=]]></value></property><property type="string" size="81"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmZCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmQlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nLwp9]]></value></property><property type="string" size="70"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmcCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZnAlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9wcm9kdWN0LWFwcC8KfQ==]]></value></property></property></response>

[3647146] <- context_get -i 31 -d 0 -c 2
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="31" context="2"></response>

[3647146] <- step_over -i 32
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="32" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="6"></xdebug:message></response>

[3647146] <- stack_get -i 33
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="33"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="6"></stack></response>

[3647146] <- context_get -i 34 -d 0 -c 0
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="34" context="0"><property name="$stack" fullname="$stack" type="object" classname="SplStack" children="1" numchildren="2" page="0" pagesize="100"><property name="*SplDoublyLinkedList*flags" fullname="$stack-&gt;*SplDoublyLinkedList*flags" facet="private" type="int"><![CDATA[6]]></property><property name="*SplDoublyLinkedList*dllist" fullname="$stack-&gt;*SplDoublyLinkedList*dllist" facet="private" type="array" children="1" numchildren="2"></property></property></response>

[3647146] <- context_get -i 35 -d 0 -c 1
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="35" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="110" page="0" pagesize="100"><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="COLORTERM" fullname="$_SERVER[&quot;COLORTERM&quot;]" type="string" size="9" encoding="base64"><![CDATA[dHJ1ZWNvbG9y]]></property><property name="_fzf_orig_completion_tee" fullname="$_SERVER[&quot;_fzf_orig_completion_tee&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVlICNfbG9uZ29wdA==]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="29" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWF3ZXNvbWU6L2V0Yy94ZGc=]]></property><property name="_fzf_orig_completion_rm" fullname="$_SERVER[&quot;_fzf_orig_completion_rm&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm0gI19sb25nb3B0]]></property><property name="LESS" fullname="$_SERVER[&quot;LESS&quot;]" type="string" size="14" encoding="base64"><![CDATA[LWcgLUkgLUYgLVggLVI=]]></property><property name="_fzf_orig_completion_rmdir" fullname="$_SERVER[&quot;_fzf_orig_completion_rmdir&quot;]" type="string" size="30" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgcm1kaXIgI19sb25nb3B0]]></property><property name="HISTCONTROL" fullname="$_SERVER[&quot;HISTCONTROL&quot;]" type="string" size="22" encoding="base64"><![CDATA[aWdub3JlZHVwczppZ25vcmVzcGFjZQ==]]></property><property name="ACK_PAGER" fullname="$_SERVER[&quot;ACK_PAGER&quot;]" type="string" size="4" encoding="base64"><![CDATA[bGVzcw==]]></property><property name="HISTSIZE" fullname="$_SERVER[&quot;HISTSIZE&quot;]" type="string" size="4" encoding="base64"><![CDATA[MTAwMA==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fQVU6ZW4=]]></property><property name="_fzf_orig_completion_uniq" fullname="$_SERVER[&quot;_fzf_orig_completion_uniq&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdW5pcSAjX2xvbmdvcHQ=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="39" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLm1hbmRhdG9yeS5wYXRo]]></property><property type="string" size="1343"><name encoding="base64"><![CDATA[VEVSTUNBUA==]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlRFUk1DQVAiXQ==]]></fullname><value encoding="base64"><![CDATA[U0N8c2NyZWVuLTI1NmNvbG9yfFZUIDEwMC9BTlNJIFgzLjY0IHZpcnR1YWwgdGVybWluYWw6XAoJOkRPPVxFWyVkQjpMRT1cRVslZEQ6Ukk9XEVbJWRDOlVQPVxFWyVkQTpiczpidD1cRVtaOlwKCTpjZD1cRVtKOmNlPVxFW0s6Y2w9XEVbSFxFW0o6Y209XEVbJWklZDslZEg6Y3Q9XEVbM2c6XAoJOmRvPV5KOm5kPVxFW0M6cHQ6cmM9XEU4OnJzPVxFYzpzYz1cRTc6c3Q9XEVIOnVwPVxFTTpcCgk6bGU9Xkg6Ymw9Xkc6Y3I9Xk06aXQjODpobz1cRVtIOm53PVxFRTp0YT1eSTppcz1cRSkwOlwKCTpsaSM1NzpjbyMyMTI6YW06eG46eHY6TFA6c3I9XEVNOmFsPVxFW0w6QUw9XEVbJWRMOlwKCTpjcz1cRVslaSVkOyVkcjpkbD1cRVtNOkRMPVxFWyVkTTpkYz1cRVtQOkRDPVxFWyVkUDpcCgk6aW09XEVbNGg6ZWk9XEVbNGw6bWk6SUM9XEVbJWRAOmtzPVxFWz8xaFxFPTpcCgk6a2U9XEVbPzFsXEU+OnZpPVxFWz8yNWw6dmU9XEVbMzRoXEVbPzI1aDp2cz1cRVszNGw6XAoJOnRpPVxFWz8xMDQ5aDp0ZT1cRVs/MTA0OWw6dXM9XEVbNG06dWU9XEVbMjRtOnNvPVxFWzNtOlwKCTpzZT1cRVsyM206bWI9XEVbNW06bWQ9XEVbMW06bWg9XEVbMm06bXI9XEVbN206XAoJOm1lPVxFW206bXM6XAoJOkNvIzg6cGEjNjQ6QUY9XEVbMyVkbTpBQj1cRVs0JWRtOm9wPVxFWzM5OzQ5bTpBWDpcCgk6dmI9XEVnOkcwOmFzPVxFKDA6YWU9XEUoQjpcCgk6YWM9XDE0MFwxNDBhYWZmZ2dqamtrbGxtbW5ub29wcHFxcnJzc3R0dXV2dnd3eHh5eXp6e3t8fH19fn4uLi0tKyssLGhoSUkwMDpcCgk6cG89XEVbNWk6cGY9XEVbNGk6S209XEVbTTprMD1cRVsxMH46azE9XEVPUDprMj1cRU9ROlwKCTprMz1cRU9SOms0PVxFT1M6azU9XEVbMTV+Oms2PVxFWzE3fjprNz1cRVsxOH46XAoJOms4PVxFWzE5fjprOT1cRVsyMH46azs9XEVbMjF+OkYxPVxFWzIzfjpGMj1cRVsyNH46XAoJOkYzPVxFWzE7MlA6RjQ9XEVbMTsyUTpGNT1cRVsxOzJSOkY2PVxFWzE7MlM6XAoJOkY3PVxFWzE1OzJ+OkY4PVxFWzE3OzJ+OkY5PVxFWzE4OzJ+OkZBPQ==]]></value></property><property name="_fzf_orig_completion_ftp" fullname="$_SERVER[&quot;_fzf_orig_completion_ftp&quot;]" type="string" size="32" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZnRwICNfa25vd25faG9zdHM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="32" encoding="base64"><![CDATA[L3RtcC9zc2gtbmI3SGZOcXF4NkhFL2FnZW50LjM1NDQ=]]></property><property name="WINDOW" fullname="$_SERVER[&quot;WINDOW&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="_fzf_orig_completion_tail" fullname="$_SERVER[&quot;_fzf_orig_completion_tail&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGFpbCAjX2xvbmdvcHQ=]]></property><property name="ENSCRIPT" fullname="$_SERVER[&quot;ENSCRIPT&quot;]" type="string" size="13" encoding="base64"><![CDATA[LWQgSEwtTDIzNzVEVw==]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&quot;SSH_AGENT_PID&quot;]" type="string" size="4" encoding="base64"><![CDATA[MzU0NQ==]]></property><property name="XDEBUG_SESSION" fullname="$_SERVER[&quot;XDEBUG_SESSION&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="GPG_TTY" fullname="$_SERVER[&quot;GPG_TTY&quot;]" type="string" size="11" encoding="base64"><![CDATA[L2Rldi9wdHMvMjA=]]></property><property name="EDITOR" fullname="$_SERVER[&quot;EDITOR&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="_fzf_orig_completion_mv" fullname="$_SERVER[&quot;_fzf_orig_completion_mv&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbXYgI19sb25nb3B0]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="38" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyL1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="36" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAvZ2RtL1hhdXRob3JpdHk=]]></property><property name="TZ" fullname="$_SERVER[&quot;TZ&quot;]" type="string" size="16" encoding="base64"><![CDATA[QXVzdHJhbGlhL1N5ZG5leQ==]]></property><property name="FZF_DEFAULT_COMMAND" fullname="$_SERVER[&quot;FZF_DEFAULT_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="session_name" fullname="$_SERVER[&quot;session_name&quot;]" type="string" size="12" encoding="base64"><![CDATA[IHByb2R1Y3QtYXBw]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="WINDOWPATH" fullname="$_SERVER[&quot;WINDOWPATH&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="s" fullname="$_SERVER[&quot;s&quot;]" type="string" size="38" encoding="base64"><![CDATA[JXs9cn0gJS13JXstcn0lbiAldCV7K3J9JSt3JT0gJXsrYn0lUyA=]]></property><property name="_fzf_orig_completion_diff" fullname="$_SERVER[&quot;_fzf_orig_completion_diff&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZGlmZiAjX2xvbmdvcHQ=]]></property><property name="WINEARCH" fullname="$_SERVER[&quot;WINEARCH&quot;]" type="string" size="5" encoding="base64"><![CDATA[d2luMzI=]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="AUTOJUMP_ERROR_PATH" fullname="$_SERVER[&quot;AUTOJUMP_ERROR_PATH&quot;]" type="string" size="45" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5sb2NhbC9zaGFyZS9hdXRvanVtcC9lcnJvcnMubG9n]]></property><property name="SSH_ASKPASS" fullname="$_SERVER[&quot;SSH_ASKPASS&quot;]" type="string" size="20" encoding="base64"><![CDATA[L3Vzci9iaW4vc3NoLWFza3Bhc3M=]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fQVUuVVRGLTg=]]></property><property name="_fzf_orig_completion_awk" fullname="$_SERVER[&quot;_fzf_orig_completion_awk&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgYXdrICNfbG9uZ29wdA==]]></property><property name="WINEPREFIX" fullname="$_SERVER[&quot;WINEPREFIX&quot;]" type="string" size="21" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy53aW5lLTMy]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="2750" encoding="base64"><![CDATA[YmQ9NDg7NTsxMDg7Mzg7NTsyMjM7MDE6Y2E9MDE7Mzg7NTs5NTpjZD00ODs1OzEwODszODs1OzIyMzswMTpkaT0wMTszODs1OzIyMzpkbz00ODs1OzIzNDszODs1OzE4MDswMTpleD0wMTszODs1OzEwODpwaT00ODs1OzIzNDszODs1OzE4MDswMTpsbj0zODs1OzIyMzpvcj00ODs1OzIzNDszODs1OzE4Nzpvdz00ODs1OzIzNDszODs1OzE4MDpzdT00ODs1OzIzNDszODs1OzY2OnNnPTQ4OzU7MjM0OzM4OzU7NjY6c289NDg7NTsyMzQ7Mzg7NTsxODA7MDE6c3Q9NDg7NTsxODA7Mzg7NTsyMzQ6dHc9NDg7NTsxODA7Mzg7NTsyMzQ6Ki43ej0wMTszODs1OzE3NDoqLmFyaj0wMTszODs1OzE3NDoqLmJ6Mj0wMTszODs1OzE3NDoqLmJ6PTAxOzM4OzU7MTc0OiouZ3o9MDE7Mzg7NTsxNzQ6Ki5yYXI9MDE7Mzg7NTsxNzQ6Ki50YXI9MDE7Mzg7NTsxNzQ6Ki50Z3o9MDE7Mzg7NTsxNzQ6Ki50Yno9MDE7Mzg7NTsxNzQ6Ki50YnoyPTAxOzM4OzU7MTc0OioueHo9MDE7Mzg7NTsxNzQ6Ki56aXA9MDE7Mzg7NTsxNzQ6Ki5hcGs9MDE7Mzg7NTs5NToqLmRlYj0wMTszODs1OzE3NDoqLmphZD0wMTszODs1Ozk1OiouamFyPTAxOzM4OzU7OTU6Ki5ycG09MDE7Mzg7NTsxNzQ6Ki5ibXA9MDA7Mzg7NTsxMDk6Ki5naWY9MDA7Mzg7NTsxMDk6Ki5pY289MDA7Mzg7NTsxMDk6Ki5qcGc9MDA7Mzg7NTsxMDk6Ki5KUEc9MDA7Mzg7NTsxMDk6Ki5qcGVnPTAwOzM4OzU7MTA5OioucG5nPTAwOzM4OzU7MTA5Oiouc3ZnPTAwOzM4OzU7MTA5OioueGJtPTAwOzM4OzU7MTA5OioueHBtPTAwOzM4OzU7MTA5OiouYWFjPTAwOzM4OzU7MTE2OiouYXU9MDA7Mzg7NTsxMTY6Ki5mbGFjPTAwOzM4OzU7MTE2OioubWlkPTAwOzM4OzU7MTE2OioubWlkaT0wMDszODs1OzExNjoqLm1rYT0wMDszODs1OzExNjoqLm1wMz0wMDszODs1OzExNjoqLm1wYz0wMDszODs1OzExNjoqLm9nZz0wMDszODs1OzExNjoqLnJhPTAwOzM4OzU7MTE2Oioud2F2PTAwOzM4OzU7MTE2OioubW92PTAwOzM4OzU7NjY6Ki5tcGc9MDA7Mzg7NTs2NjoqLm1wZWc9MDA7Mw==]]></property><property name="_JAVA_AWT_WM_NONREPARENTING" fullname="$_SERVER[&quot;_JAVA_AWT_WM_NONREPARENTING&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="_fzf_orig_completion_telnet" fullname="$_SERVER[&quot;_fzf_orig_completion_telnet&quot;]" type="string" size="35" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgdGVsbmV0ICNfa25vd25faG9zdHM=]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NjAwMw==]]></property><property name="_fzf_orig_completion_grep" fullname="$_SERVER[&quot;_fzf_orig_completion_grep&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZ3JlcCAjX2xvbmdvcHQ=]]></property><property type="string" size="460"><name encoding="base64"><![CDATA[UFJPTVBUX0NPTU1BTkQ=]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIlBST01QVF9DT01NQU5EIl0=]]></fullname><value encoding="base64"><![CDATA[RElSPSQocHdkfHNlZCAtZSAicyEvZGF0YS8hLyEifHNlZCAtZSAicyEkSE9NRSF+ISIpO0lGUz0iLyIgcmVhZCAtcmEgUGF0aEVsZW1lbnRzIDw8PCAiJHtESVJ9IjtMRU49JHsjUGF0aEVsZW1lbnRzfTtBbHREaXI9Ii8ke1BhdGhFbGVtZW50c1sxXX0vJHtQYXRoRWxlbWVudHNbMl19L+KApi8ke1BhdGhFbGVtZW50c1tMRU4tMl19LyR7UGF0aEVsZW1lbnRzW0xFTi0xXX0iO0FsdDJEaXI9IiR7UGF0aEVsZW1lbnRzW0xFTi0yXX0vJHtQYXRoRWxlbWVudHNbTEVOLTFdfSI7aWYgW1sgJHsjRElSfSAtbHQgMzAgfHwgJHsjQWx0RGlyfSA+ICR7I0RJUn0gXV07IHRoZW4gICBBbHREaXI9JERJUjsgICBBbHQyRGlyPSRESVI7IGZpO3B3ZD0kKHB3ZCk7TEFTVF9DT01QT05FTlQ9JHtwd2QjIyovfTtwcmludGYgIlwwMzNrJXNcMDMzXFwiICRMQVNUX0NPTVBPTkVOVCA7IGF1dG9qdW1wX2FkZF90b19kYXRhYmFzZQ==]]></value></property><property name="GNOME_TERMINAL_SCREEN" fullname="$_SERVER[&quot;GNOME_TERMINAL_SCREEN&quot;]" type="string" size="63" encoding="base64"><![CDATA[L29yZy9nbm9tZS9UZXJtaW5hbC9zY3JlZW4vMmQwNDY1ZjhfZDc0MV80ZjgwX2ExOWFfOWQ1OTg2OGU5NmZl]]></property><property name="_fzf_orig_completion_du" fullname="$_SERVER[&quot;_fzf_orig_completion_du&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgZHUgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_sort" fullname="$_SERVER[&quot;_fzf_orig_completion_sort&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc29ydCAjX2xvbmdvcHQ=]]></property><property name="XDG_SESSION_CLASS" fullname="$_SERVER[&quot;XDG_SESSION_CLASS&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="MAKEFLAGS" fullname="$_SERVER[&quot;MAKEFLAGS&quot;]" type="string" size="20" encoding="base64"><![CDATA[LS1uby1wcmludC1kaXJlY3Rvcnk=]]></property><property name="_fzf_orig_completion_cat" fullname="$_SERVER[&quot;_fzf_orig_completion_cat&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY2F0ICNfbG9uZ29wdA==]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="15" encoding="base64"><![CDATA[c2NyZWVuLTI1NmNvbG9y]]></property><property name="FZF_CTRL_T_COMMAND" fullname="$_SERVER[&quot;FZF_CTRL_T_COMMAND&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZmQgLS10eXBlIGY=]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9hd2Vzb21lLmRlZmF1bHQucGF0aA==]]></property><property name="_fzf_orig_completion_ln" fullname="$_SERVER[&quot;_fzf_orig_completion_ln&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbG4gI19sb25nb3B0]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="6" encoding="base64"><![CDATA[Z2JlbGwy]]></property><property name="_fzf_orig_completion_ld" fullname="$_SERVER[&quot;_fzf_orig_completion_ld&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGQgI19sb25nb3B0]]></property><property name="_fzf_orig_completion_ls" fullname="$_SERVER[&quot;_fzf_orig_completion_ls&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbHMgI19sb25nb3B0]]></property><property name="GNOME_TERMINAL_SERVICE" fullname="$_SERVER[&quot;GNOME_TERMINAL_SERVICE&quot;]" type="string" size="6" encoding="base64"><![CDATA[OjEuMTAw]]></property><property name="MANPAGER" fullname="$_SERVER[&quot;MANPAGER&quot;]" type="string" size="221" encoding="base64"><![CDATA[L2Jpbi9zaCAtYyAidW5zZXQgUEFHRVI7Y29sIC1iIC14IHwgICAgIHZpbSAtUiAtYyAnc2V0IGZ0PW1hbiBub21vZCBub3JlbGF0aXZlbnVtYmVyIG5vbnVtYmVyIG5vbGlzdCcgLWMgJ21hcCBxIDpxPENSPicgICAgIC1jICdtYXAgPFNQQUNFPiA8Qy1EPicgLWMgJ21hcCBiIDxDLVU+JyAgICAgLWMgJ25tYXAgSyA6TWFuIDxDLVI+PWV4cGFuZChcIjxjd29yZD5cIik8Q1I+PENSPicgLSI=]]></property><property name="VISUAL" fullname="$_SERVER[&quot;VISUAL&quot;]" type="string" size="3" encoding="base64"><![CDATA[dmlt]]></property><property name="AUTOJUMP_SOURCED" fullname="$_SERVER[&quot;AUTOJUMP_SOURCED&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="BASH_ENV" fullname="$_SERVER[&quot;BASH_ENV&quot;]" type="string" size="20" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwyLy5iYXNocmM=]]></property><property name="PAGER" fullname="$_SERVER[&quot;PAGER&quot;]" type="string" size="8" encoding="base64"><![CDATA[bGVzcyAtWGk=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="_fzf_orig_completion_pushd" fullname="$_SERVER[&quot;_fzf_orig_completion_pushd&quot;]" type="string" size="36" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBwdXNoZCAjX2Nk]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="1" encoding="base64"><![CDATA[NQ==]]></property><property name="PROMPT_COLOR" fullname="$_SERVER[&quot;PROMPT_COLOR&quot;]" type="string" size="2" encoding="base64"><![CDATA[MzI=]]></property><property name="CONF" fullname="$_SERVER[&quot;CONF&quot;]" type="string" size="11" encoding="base64"><![CDATA[c2NyZWVuLmNvbmY=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="UF_HOMEDIR" fullname="$_SERVER[&quot;UF_HOMEDIR&quot;]" type="string" size="7" encoding="base64"><![CDATA[L3d3dy91Zg==]]></property><property name="FZF_DEFAULT_OPS" fullname="$_SERVER[&quot;FZF_DEFAULT_OPS&quot;]" type="string" size="10" encoding="base64"><![CDATA[LS1leHRlbmRlZA==]]></property><property name="_fzf_orig_completion_cd" fullname="$_SERVER[&quot;_fzf_orig_completion_cd&quot;]" type="string" size="33" encoding="base64"><![CDATA[Y29tcGxldGUgLW8gbm9zcGFjZSAtRiAlcyBjZCAjX2Nk]]></property><property name="_fzf_orig_completion_less" fullname="$_SERVER[&quot;_fzf_orig_completion_less&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgbGVzcyAjX2xvbmdvcHQ=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="71" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hd2Vzb21lOi91c3IvbG9jYWwvc2hhcmUvOi91c3Ivc2hhcmUvOi92YXIvbGliL3NuYXBkL2Rlc2t0b3A=]]></property><property name="_fzf_orig_completion_cp" fullname="$_SERVER[&quot;_fzf_orig_completion_cp&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgY3AgI19sb25nb3B0]]></property><property name="BROWSER" fullname="$_SERVER[&quot;BROWSER&quot;]" type="string" size="7" encoding="base64"><![CDATA[ZmlyZWZveA==]]></property><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="893" encoding="base64"><![CDATA[L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2Jpbjovd3d3L3VmL2NoZWNrb3V0L3RydW5rL3Jlc291cmNlL3BsYXRmb3JtL3Byb2R1Y3QtYXBwL3ZlbmRvci9iaW46L3d3dy91Zi9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nL2Jpbjovcm9vdC9iaW46L2hvbWUvZ2JlbGwyLy5hdXRvanVtcC9iaW46L2hvbWUvZ2JlbGwyLy5zdGFjay9jb21waWxlci10b29scy94ODZfNjQtbGludXgvZ2hjLTguNi41L2JpbjovaG9tZS9nYmVsbDIvLmNvbXBvc2VyL3ZlbmRvci9iaW46L29wdC9iaW46L3NiaW46L3Vzci9zYmluOi9ob21lL2diZWxsMi9iaW46L3Jvb3QvYmluOi9ob21lL2diZWxsMi8uYXV0b2p1bXAvYmluOi9ob21lL2diZWxsMi8uc3RhY2svY29tcGlsZXItdG9vbHMveDg2XzY0LWxpbnV4L2doYy04LjYuNS9iaW46L2hvbWUvZ2JlbGwyLy5jb21wb3Nlci92ZW5kb3IvYmluOi9vcHQvYmluOi9zYmluOi91c3Ivc2JpbjovdXNyL2xvY2FsL3NiaW46L3Vzci9sb2NhbC9iaW46L3Vzci9zYmluOi91c3IvYmluOi9zYmluOi9iaW46L3Vzci9nYW1lczovdXNyL2xvY2FsL2dhbWVzOi9zbmFwL2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8uZnpmL2Jpbjovb3B0L2JpbjovaG9tZS9nYmVsbDIvLmxvY2FsL2Jpbjovb3B0L25vZGVfbW9kdWxlcy8uYmluOi9ob21lL2diZWxsMi8ubG9jYWwvYmluOi9vcHQvbm9kZV9tb2R1bGVzLy5iaW4=]]></property><property name="STY" fullname="$_SERVER[&quot;STY&quot;]" type="string" size="18" encoding="base64"><![CDATA[NzU2NTkzLnByb2R1Y3QtYXBw]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="7" encoding="base64"><![CDATA[YXdlc29tZQ==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="28" encoding="base64"><![CDATA[dW5peDpwYXRoPS9ydW4vdXNlci8xMDAwL2J1cw==]]></property><property name="_fzf_orig_completion_sed" fullname="$_SERVER[&quot;_fzf_orig_completion_sed&quot;]" type="string" size="28" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgc2VkICNfbG9uZ29wdA==]]></property><property name="_fzf_orig_completion_head" fullname="$_SERVER[&quot;_fzf_orig_completion_head&quot;]" type="string" size="29" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgaGVhZCAjX2xvbmdvcHQ=]]></property><property name="_fzf_orig_completion_wc" fullname="$_SERVER[&quot;_fzf_orig_completion_wc&quot;]" type="string" size="27" encoding="base64"><![CDATA[Y29tcGxldGUgLUYgJXMgd2MgI19sb25nb3B0]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="12" encoding="base64"><![CDATA[L2hvbWUvZ2JlbGwy]]></property><property type="string" size="68"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmYSUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmElJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9hZG1pbi1hcHAvCn0=]]></value></property><property type="string" size="81"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmZCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZmQlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9zdXBwb3J0L2RvY2tlci9ydW5uaW5nLwp9]]></value></property><property type="string" size="70"><name encoding="base64"><![CDATA[QkFTSF9GVU5DX3VmcCUl]]></name><fullname encoding="base64"><![CDATA[JF9TRVJWRVJbIkJBU0hfRlVOQ191ZnAlJSJd]]></fullname><value encoding="base64"><![CDATA[KCkgeyAgY2QgJHtVRl9IT01FRElSfS9jaGVja291dC90cnVuay9yZXNvdXJjZS9wbGF0Zm9ybS9wcm9kdWN0LWFwcC8KfQ==]]></value></property></property></response>

[3647146] <- context_get -i 36 -d 0 -c 2
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="36" context="2"></response>

[3647146] <- property_get -i 37 -n $stack->*SplDoublyLinkedList*dllist -d 0 -c 0 -p 0
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="37" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

[3647146] <- stop -i 38
[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stop" transaction_id="38" status="stopped" reason="ok"></response>

[3647146] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stop" transaction_id="38" status="stopping" reason="ok"></response>

[3647146] <- run -i 39
[3647146] Log closed at 2021-02-18 23:33:45

[3659984] Log opened at 2021-02-18 23:35:06
[3659984] I: Connecting to configured address/port: localhost:9000.
[3659984] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3659984] E: Could not connect to client. :-(
[3659984] Log closed at 2021-02-18 23:35:06

[3661652] Log opened at 2021-02-18 23:35:33
[3661652] I: Connecting to configured address/port: localhost:9000.
[3661652] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3661652] E: Could not connect to client. :-(
[3661652] Log closed at 2021-02-18 23:35:33

[3665690] Log opened at 2021-02-18 23:36:37
[3665690] I: Connecting to configured address/port: localhost:9000.
[3665690] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3665690] E: Could not connect to client. :-(
[3665690] Log closed at 2021-02-18 23:36:37

[3667278] Log opened at 2021-02-18 23:37:01
[3667278] I: Connecting to configured address/port: localhost:9000.
[3667278] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3667278] E: Could not connect to client. :-(
[3667278] Log closed at 2021-02-18 23:37:01

[3670247] Log opened at 2021-02-18 23:37:50
[3670247] I: Connecting to configured address/port: localhost:9000.
[3670247] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3670247] E: Could not connect to client. :-(
[3670247] Log closed at 2021-02-18 23:37:50

[3676815] Log opened at 2021-02-18 23:39:35
[3676815] I: Connecting to configured address/port: localhost:9000.
[3676815] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3676815] E: Could not connect to client. :-(
[3676815] Log closed at 2021-02-18 23:39:35

[3683359] Log opened at 2021-02-18 23:41:19
[3683359] I: Connecting to configured address/port: localhost:9000.
[3683359] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3683359] E: Could not connect to client. :-(
[3683359] Log closed at 2021-02-18 23:41:19

[3688101] Log opened at 2021-02-18 23:42:36
[3688101] I: Connecting to configured address/port: localhost:9000.
[3688101] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3688101] E: Could not connect to client. :-(
[3688101] Log closed at 2021-02-18 23:42:36

[3689326] Log opened at 2021-02-18 23:42:55
[3689326] I: Connecting to configured address/port: localhost:9000.
[3689326] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3689326] E: Could not connect to client. :-(
[3689326] Log closed at 2021-02-18 23:42:55

[3703145] Log opened at 2021-02-18 23:46:33
[3703145] I: Connecting to configured address/port: localhost:9000.
[3703145] I: Connected to client. :-)
[3703145] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" language="PHP" xdebug:language_version="7.4.3" protocol_version="1.0" appid="3703145" idekey="xdebug"><engine version="2.9.2"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2020 by Derick Rethans]]></copyright></init>

[3704015] Log opened at 2021-02-18 23:46:47
[3704015] I: Connecting to configured address/port: localhost:9000.
[3704015] W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
[3704015] E: Could not connect to client. :-(
[3704015] Log closed at 2021-02-18 23:46:47

[3704398] Log opened at 2021-02-18 23:46:53
[3704398] I: Connecting to configured address/port: localhost:9000.
[3704398] I: Connected to client. :-)
[3704398] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" language="PHP" xdebug:language_version="7.4.3" protocol_version="1.0" appid="3704398" idekey="xdebug"><engine version="2.9.2"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2020 by Derick Rethans]]></copyright></init>

[3704398] <- context_names -i 1
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="1"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[3704398] <- step_into -i 2
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="2" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="3"></xdebug:message></response>

[3704398] <- stack_get -i 3
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="3"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="3"></stack></response>

[3704398] <- context_get -i 4 -c 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="4" context="0"><property name="$stack" fullname="$stack" type="uninitialized"></property></response>

[3704398] <- step_over -i 5
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="5" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="4"></xdebug:message></response>

[3704398] <- stack_get -i 6
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="6"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="4"></stack></response>

[3704398] <- context_get -i 7 -c 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="7" context="0"><property name="$stack" fullname="$stack" type="object" classname="SplStack" children="1" numchildren="2" page="0" pagesize="32"><property name="*SplDoublyLinkedList*flags" fullname="$stack-&gt;*SplDoublyLinkedList*flags" facet="private" type="int"><![CDATA[6]]></property><property name="*SplDoublyLinkedList*dllist" fullname="$stack-&gt;*SplDoublyLinkedList*dllist" facet="private" type="array" children="0" numchildren="0"></property></property></response>

[3704398] <- step_over -i 8
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="8" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="5"></xdebug:message></response>

[3704398] <- stack_get -i 9
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="9"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="5"></stack></response>

[3704398] <- context_get -i 10 -c 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="10" context="0"><property name="$stack" fullname="$stack" type="object" classname="SplStack" children="1" numchildren="2" page="0" pagesize="32"><property name="*SplDoublyLinkedList*flags" fullname="$stack-&gt;*SplDoublyLinkedList*flags" facet="private" type="int"><![CDATA[6]]></property><property name="*SplDoublyLinkedList*dllist" fullname="$stack-&gt;*SplDoublyLinkedList*dllist" facet="private" type="array" children="1" numchildren="1"></property></property></response>

[3704398] <- step_over -i 11
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="11" status="break" reason="ok"><xdebug:message filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="6"></xdebug:message></response>

[3704398] <- stack_get -i 12
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="12"><stack where="{main}" level="0" type="file" filename="file:///home/gbell2/PhpstormProjects/untitled/xdebug_test.php" lineno="6"></stack></response>

[3704398] <- context_get -i 13 -c 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="13" context="0"><property name="$stack" fullname="$stack" type="object" classname="SplStack" children="1" numchildren="2" page="0" pagesize="32"><property name="*SplDoublyLinkedList*flags" fullname="$stack-&gt;*SplDoublyLinkedList*flags" facet="private" type="int"><![CDATA[6]]></property><property name="*SplDoublyLinkedList*dllist" fullname="$stack-&gt;*SplDoublyLinkedList*dllist" facet="private" type="array" children="1" numchildren="2"></property></property></response>

[3704398] <- property_get -i 14 -n "$stack->*SplDoublyLinkedList*dllist" -d 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="14" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

[3704398] <- property_get -i 15 -n "$stack->*SplDoublyLinkedList*dllist" -d 0
[3704398] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="15" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

xdebug.log (115,783 bytes)   
xdebug_test.php (127 bytes)   
<?php

$stack = new SplStack();
$stack->push("HI");
$stack->push("from the stack");
var_dump($stack);
xdebug_var_dump($stack);
xdebug_test.php (127 bytes)   

gbell

2021-02-18 23:56

reporter   ~0005686

Typo in description, sorry. Should be:
"Xdebug won't show SplDoublyLinkedLists. Tried PHPStorm and Vdebug in Vim."

derick

2021-02-19 12:23

administrator   ~0005688

This seems likely, as I've only covered certain SPL classes: https://github.com/xdebug/xdebug/blob/master/src/lib/var.c#L277-L311

derick

2021-02-19 12:24

administrator   ~0005689

Your phpinfo() says "Xdebug v2.9.2", so please upgrade to 3.0.2 first too, as Xdebug 2 is no longer supported

gbell

2021-02-24 18:27

reporter   ~0005696

Sorry, that was the wrong php instance.

Correct information:

PHP 7.3.27 (cli) (built: Feb 4 2021 18:57:50) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.27, Copyright (c) 1998-2018 Zend Technologies
    with Xdebug v3.0.2, Copyright (c) 2002-2021, by Derick Rethans
    with Zend OPcache v7.3.27, Copyright (c) 1999-2018, by Zend Technologies

derick

2021-04-28 14:20

administrator   ~0005866

https://github.com/xdebug/xdebug/pull/740

Issue History

Date Modified Username Field Change
2021-02-18 23:54 gbell New Issue
2021-02-18 23:54 gbell File Added: xdebug.log
2021-02-18 23:54 gbell File Added: xdebug_test.php
2021-02-18 23:56 gbell Note Added: 0005686
2021-02-19 12:23 derick Assigned To => derick
2021-02-19 12:23 derick Status new => acknowledged
2021-02-19 12:23 derick Note Added: 0005688
2021-02-19 12:24 derick Target Version => 3.0dev
2021-02-19 12:24 derick Summary "Can not get property" on SplDoublyLinkedLists => Xdebug won't show SplDoublyLinkedLists contents
2021-02-19 12:24 derick Product Version 3.0.2 => 2.9.2
2021-02-19 12:24 derick Note Added: 0005689
2021-02-24 18:27 gbell Note Added: 0005696
2021-03-14 16:48 derick Target Version 3.0dev => 3.1dev
2021-04-28 14:20 derick Summary Xdebug won't show SplDoublyLinkedLists contents => private properties for internal classes can't be fetched for debugging
2021-04-28 14:20 derick Note Added: 0005866
2021-04-28 15:41 derick Status acknowledged => closed
2021-04-28 15:41 derick Resolution open => fixed
2021-04-28 15:41 derick Fixed in Version => 3.1dev
2021-09-05 16:15 derick Fixed in Version 3.1dev => 3.1.0beta1